(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.1";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Helv", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 14, L0, center, nohscroll, bold;
	fontset = section, "Helv", 14, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; startGroup; ]
Crucial Information for Students in a Second Signals and Systems Class
:[font = text; inactive; preserveAspect; ]
     Students in a second quarter class on signals and systems (EE 3221 at Georgia Tech) typically explore the Fourier domain for both discrete-time and continuous-time signals.  The focus is applying these concepts to modulation schemes and other communication protocols.  The signal processing extensions for Mathematica can assist the student in solving related problems pictorially,  symbolically, and numerically.  Also, we have written a tutorial Notebook on Fourier analysis called ``DTFT''.
;[s]
3:0,0;311,1;322,2;499,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Besides Fourier transform theory, the student will need to know how to plot spectra and design analog filters.  Possibly, the student will also be asked to solve differential equations with Laplace transforms and difference equations with z-transforms.  Yes, again, the signal processing packages can help, plus we have written tutorial Notebooks on analog filter design (called ``AnalogFilters'') and the z-transform (called ``zTransform'' in three parts).
:[font = text; inactive; preserveAspect; ]
     To tell Mathematica about the signal processing packages, evaluate
;[s]
3:0,0;13,1;24,2;71,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; initialization; preserveAspect; ]
*)
Needs[ "SignalProcessing`Master`" ]
(*
:[font = section; inactive; preserveAspect; startGroup; ]
Plotting Frequency Responses
:[font = text; inactive; preserveAspect; ]
     Earlier in your career, you learned about Bode diagrams and Nichols plots because the frequency domain is just so darn important.  For linear systems, the Fourier domain often characterizes a system's specifications, such as an AM transmitter and receiver.  In a second quarter class on signals and systems, you should learn why AM radio is unsatisfying to our ears.  (Answer:  AM radio is very sensitive to atmospheric disturbances, and its wimpy bandwidth of 10 kHz is hardly suitable for high fidelity music, especially in the age of CD's which feature a 44 kHz bandwidth.)  FM was developed to makes us happy because it offers 3 times the bandwidth of AM while being less sensitive to atmospheric disturbances.
:[font = text; inactive; preserveAspect; ]
     The signal processing packages offer one versatile routine to plot the frequency responses---  MagnitudePhasePlot (which can be abbreviated as MagPhasePlot).  Here is the frequency response of a complex sinusoid Exp[I w] (remembering that I is the square root of -1) such that the magnitude response is displayed first (which is a constant value of 1) followed by the phase response (which is linear):
;[s]
9:0,0;100,1;118,2;148,3;160,4;217,5;225,6;244,7;245,8;407,-1;
9:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
MagnitudePhasePlot[ Exp[I w], {w, -Pi, Pi} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 -0.279587 0.588604 [
[(-3)] 0.04527 0.30902 0 2 Msboxa
[(-2)] 0.19685 0.30902 0 2 Msboxa
[(-1)] 0.34842 0.30902 0 2 Msboxa
[(1)] 0.65158 0.30902 0 2 Msboxa
[(2)] 0.80315 0.30902 0 2 Msboxa
[(3)] 0.95473 0.30902 0 2 Msboxa
[(w)] 1.025 0.30902 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.6)] 0.4875 0.07358 1 0 Msboxa
[(0.8)] 0.4875 0.1913 1 0 Msboxa
[(1.2)] 0.4875 0.42674 1 0 Msboxa
[(1.4)] 0.4875 0.54446 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.04527 0.30902 moveto
0.04527 0.31527 lineto
stroke
grestore
[(-3)] 0.04527 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0.30902 moveto
0.19685 0.31527 lineto
stroke
grestore
[(-2)] 0.19685 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0.30902 moveto
0.34842 0.31527 lineto
stroke
grestore
[(-1)] 0.34842 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0.30902 moveto
0.65158 0.31527 lineto
stroke
grestore
[(1)] 0.65158 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0.30902 moveto
0.80315 0.31527 lineto
stroke
grestore
[(2)] 0.80315 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0.30902 moveto
0.95473 0.31527 lineto
stroke
grestore
[(3)] 0.95473 0.30902 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0.30902 moveto
0.07559 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0.30902 moveto
0.1059 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0.30902 moveto
0.13622 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0.30902 moveto
0.16653 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0.30902 moveto
0.22716 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0.30902 moveto
0.25748 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0.30902 moveto
0.28779 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0.30902 moveto
0.31811 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0.30902 moveto
0.37874 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0.30902 moveto
0.40905 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0.30902 moveto
0.43937 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0.30902 moveto
0.46968 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0.30902 moveto
0.53032 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0.30902 moveto
0.56063 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0.30902 moveto
0.59095 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0.30902 moveto
0.62126 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0.30902 moveto
0.68189 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0.30902 moveto
0.71221 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0.30902 moveto
0.74252 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0.30902 moveto
0.77284 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0.30902 moveto
0.83347 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0.30902 moveto
0.86378 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0.30902 moveto
0.8941 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0.30902 moveto
0.92441 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0.30902 moveto
0.01496 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0.30902 moveto
0.98504 0.31277 lineto
stroke
grestore
[(w)] 1.025 0.30902 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.07358 moveto
0.50625 0.07358 lineto
stroke
grestore
[(0.6)] 0.4875 0.07358 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.1913 moveto
0.50625 0.1913 lineto
stroke
grestore
[(0.8)] 0.4875 0.1913 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.42674 moveto
0.50625 0.42674 lineto
stroke
grestore
[(1.2)] 0.4875 0.42674 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.54446 moveto
0.50625 0.54446 lineto
stroke
grestore
[(1.4)] 0.4875 0.54446 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.09712 moveto
0.50375 0.09712 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12066 moveto
0.50375 0.12066 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14421 moveto
0.50375 0.14421 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16775 moveto
0.50375 0.16775 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.21484 moveto
0.50375 0.21484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.23838 moveto
0.50375 0.23838 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26193 moveto
0.50375 0.26193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28547 moveto
0.50375 0.28547 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33256 moveto
0.50375 0.33256 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35611 moveto
0.50375 0.35611 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37965 moveto
0.50375 0.37965 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40319 moveto
0.50375 0.40319 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45028 moveto
0.50375 0.45028 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47383 moveto
0.50375 0.47383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49737 moveto
0.50375 0.49737 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.52091 moveto
0.50375 0.52091 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05003 moveto
0.50375 0.05003 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02649 moveto
0.50375 0.02649 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.00294 moveto
0.50375 0.00294 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.568 moveto
0.50375 0.568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59155 moveto
0.50375 0.59155 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61509 moveto
0.50375 0.61509 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.06349 0.30902 lineto
0.10317 0.30902 lineto
0.14286 0.30902 lineto
0.18254 0.30902 lineto
0.22222 0.30902 lineto
0.2619 0.30902 lineto
0.30159 0.30902 lineto
0.34127 0.30902 lineto
0.38095 0.30902 lineto
0.42063 0.30902 lineto
0.46032 0.30902 lineto
0.5 0.30902 lineto
0.53968 0.30902 lineto
0.57937 0.30902 lineto
0.61905 0.30902 lineto
0.65873 0.30902 lineto
0.69841 0.30902 lineto
0.7381 0.30902 lineto
0.75794 0.30902 lineto
0.77778 0.30902 lineto
0.7877 0.30902 lineto
0.79762 0.30902 lineto
0.80258 0.30902 lineto
0.80754 0.30902 lineto
0.8125 0.30902 lineto
0.81374 0.30902 lineto
0.81498 0.30902 lineto
0.81622 0.30902 lineto
0.81746 0.30902 lineto
0.8187 0.30902 lineto
0.81994 0.30902 lineto
0.82242 0.30902 lineto
0.82738 0.30902 lineto
0.8373 0.30902 lineto
0.85714 0.30902 lineto
0.89683 0.30902 lineto
0.93651 0.30902 lineto
0.97619 0.30902 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0.309017 0.001635 [
[(-3)] 0.04527 0.30902 0 2 Msboxa
[(-2)] 0.19685 0.30902 0 2 Msboxa
[(-1)] 0.34842 0.30902 0 2 Msboxa
[(1)] 0.65158 0.30902 0 2 Msboxa
[(2)] 0.80315 0.30902 0 2 Msboxa
[(3)] 0.95473 0.30902 0 2 Msboxa
[(w)] 1.025 0.30902 -1 0 Msboxa
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-150)] 0.4875 0.06377 1 0 Msboxa
[(-100)] 0.4875 0.14552 1 0 Msboxa
[(-50)] 0.4875 0.22727 1 0 Msboxa
[(50)] 0.4875 0.39077 1 0 Msboxa
[(100)] 0.4875 0.47252 1 0 Msboxa
[(150)] 0.4875 0.55427 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.04527 0.30902 moveto
0.04527 0.31527 lineto
stroke
grestore
[(-3)] 0.04527 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0.30902 moveto
0.19685 0.31527 lineto
stroke
grestore
[(-2)] 0.19685 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0.30902 moveto
0.34842 0.31527 lineto
stroke
grestore
[(-1)] 0.34842 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0.30902 moveto
0.65158 0.31527 lineto
stroke
grestore
[(1)] 0.65158 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0.30902 moveto
0.80315 0.31527 lineto
stroke
grestore
[(2)] 0.80315 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0.30902 moveto
0.95473 0.31527 lineto
stroke
grestore
[(3)] 0.95473 0.30902 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0.30902 moveto
0.07559 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0.30902 moveto
0.1059 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0.30902 moveto
0.13622 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0.30902 moveto
0.16653 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0.30902 moveto
0.22716 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0.30902 moveto
0.25748 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0.30902 moveto
0.28779 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0.30902 moveto
0.31811 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0.30902 moveto
0.37874 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0.30902 moveto
0.40905 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0.30902 moveto
0.43937 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0.30902 moveto
0.46968 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0.30902 moveto
0.53032 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0.30902 moveto
0.56063 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0.30902 moveto
0.59095 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0.30902 moveto
0.62126 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0.30902 moveto
0.68189 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0.30902 moveto
0.71221 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0.30902 moveto
0.74252 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0.30902 moveto
0.77284 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0.30902 moveto
0.83347 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0.30902 moveto
0.86378 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0.30902 moveto
0.8941 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0.30902 moveto
0.92441 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0.30902 moveto
0.01496 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0.30902 moveto
0.98504 0.31277 lineto
stroke
grestore
[(w)] 1.025 0.30902 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.06377 moveto
0.50625 0.06377 lineto
stroke
grestore
[(-150)] 0.4875 0.06377 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.14552 moveto
0.50625 0.14552 lineto
stroke
grestore
[(-100)] 0.4875 0.14552 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22727 moveto
0.50625 0.22727 lineto
stroke
grestore
[(-50)] 0.4875 0.22727 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.39077 moveto
0.50625 0.39077 lineto
stroke
grestore
[(50)] 0.4875 0.39077 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.47252 moveto
0.50625 0.47252 lineto
stroke
grestore
[(100)] 0.4875 0.47252 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.55427 moveto
0.50625 0.55427 lineto
stroke
grestore
[(150)] 0.4875 0.55427 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.08012 moveto
0.50375 0.08012 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09647 moveto
0.50375 0.09647 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.11282 moveto
0.50375 0.11282 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12917 moveto
0.50375 0.12917 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16187 moveto
0.50375 0.16187 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17822 moveto
0.50375 0.17822 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19457 moveto
0.50375 0.19457 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.21092 moveto
0.50375 0.21092 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24362 moveto
0.50375 0.24362 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.25997 moveto
0.50375 0.25997 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27632 moveto
0.50375 0.27632 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29267 moveto
0.50375 0.29267 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32537 moveto
0.50375 0.32537 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34172 moveto
0.50375 0.34172 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35807 moveto
0.50375 0.35807 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37442 moveto
0.50375 0.37442 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40712 moveto
0.50375 0.40712 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42347 moveto
0.50375 0.42347 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43982 moveto
0.50375 0.43982 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45617 moveto
0.50375 0.45617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48887 moveto
0.50375 0.48887 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50522 moveto
0.50375 0.50522 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.52157 moveto
0.50375 0.52157 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53792 moveto
0.50375 0.53792 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04742 moveto
0.50375 0.04742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.03107 moveto
0.50375 0.03107 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.01472 moveto
0.50375 0.01472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57062 moveto
0.50375 0.57062 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58697 moveto
0.50375 0.58697 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.60332 moveto
0.50375 0.60332 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.03924 lineto
0.10317 0.06377 lineto
0.14286 0.08829 lineto
0.18254 0.11282 lineto
0.22222 0.13734 lineto
0.2619 0.16187 lineto
0.30159 0.18639 lineto
0.34127 0.21092 lineto
0.38095 0.23544 lineto
0.42063 0.25997 lineto
0.46032 0.28449 lineto
0.5 0.30902 lineto
0.53968 0.33354 lineto
0.57937 0.35807 lineto
0.61905 0.38259 lineto
0.65873 0.40712 lineto
0.69841 0.43164 lineto
0.7381 0.45617 lineto
0.77778 0.48069 lineto
0.81746 0.50522 lineto
0.85714 0.52974 lineto
0.89683 0.55427 lineto
0.93651 0.57879 lineto
0.97619 0.60332 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
{Graphics[{{Line[{{-3.141592653589793, 1.}, 
       {-2.879793265790643, 1.}, 
       {-2.617993877991494, 1.}, 
       {-2.356194490192345, 1.}, 
       {-2.094395102393196, 1.}, 
       {-1.832595714594046, 1.}, 
       {-1.570796326794897, 1.}, 
       {-1.308996938995747, 1.}, 
       {-1.047197551196598, 1.}, 
       {-0.7853981633974485, 1.}, 
       {-0.5235987755982991, 1.}, 
       {-0.2617993877991496, 1.}, 
       {-(2.220446049250313*10^-16), 1.}, 
       {0.2617993877991492, 1.}, 
       {0.5235987755982987, 1.}, 
       {0.7853981633974481, 1.}, 
       {1.047197551196597, 1.}, 
       {1.308996938995747, 1.}, 
       {1.570796326794896, 1.}, 
       {1.701696020694471, 1.}, 
       {1.832595714594046, 1.}, 
       {1.898045561543833, 1.}, 
       {1.96349540849362, 1.}, 
       {1.996220331968514, 1.}, 
       {2.028945255443407, 1.}, 
       {2.061670178918301, 1.}, 
       {2.069851409787025, 1.}, 
       {2.078032640655748, 1.}, 
       {2.086213871524471, 1.}, 
       {2.094395102393195, 1.}, 
       {2.102576333261918, 1.}, 
       {2.110757564130642, 1.}, 
       {2.127120025868089, 1.}, 
       {2.159844949342982, 1.}, 
       {2.225294796292769, 1.}, 
       {2.356194490192344, 1.}, 
       {2.617993877991494, 1.}, 
       {2.879793265790643, 1.}, 
       {3.141592653589793, 1.}}]}}, 
   DisplayFunction :> $DisplayFunction, 
   PlotRange -> All, 
   PlotLabel -> "Magnitude Response", 
   PlotRange -> All, Ticks -> Automatic, 
   AxesLabel -> {"w", " "}, 
   {PlotRange -> All, 
    AspectRatio -> GoldenRatio^(-1), 
    DisplayFunction :> Identity, 
    ColorOutput -> Automatic, 
    Axes -> Automatic, 
    AxesOrigin -> Automatic, 
    PlotLabel -> None, AxesLabel -> None, 
    Ticks -> Automatic, GridLines -> None, 
    Prolog -> {}, Epilog -> {}, 
    AxesStyle -> Automatic, 
    Background -> Automatic, 
    DefaultColor -> Automatic, 
    DefaultFont :> $DefaultFont, 
    RotateLabel -> True, Frame -> False, 
    FrameStyle -> Automatic, 
    FrameTicks -> Automatic, 
    FrameLabel -> None, 
    PlotRegion -> Automatic}], 
  Graphics[{{Line[{{-3.141592653589793, 
        -180.}, {-2.879793265790643, -165.}, 
       {-2.617993877991494, -150.}, 
       {-2.356194490192345, -135.}, 
       {-2.094395102393196, -120.}, 
       {-1.832595714594046, -105.}, 
       {-1.570796326794897, -90.}, 
       {-1.308996938995747, -75.}, 
       {-1.047197551196598, 
        -60.00000000000001}, 
       {-0.7853981633974485, 
        -45.00000000000002}, 
       {-0.5235987755982991, 
        -30.00000000000001}, 
       {-0.2617993877991496, 
        -15.00000000000001}, 
       {-(2.220446049250313*10^-16), 0.}, 
       {0.2617993877991492, 
        14.99999999999999}, 
       {0.5235987755982987, 
        29.99999999999999}, 
       {0.7853981633974481, 
        44.99999999999999}, 
       {1.047197551196597, 59.99999999999999}, 
       {1.308996938995747, 74.99999999999998}, 
       {1.570796326794896, 90.}, 
       {1.832595714594046, 105.}, 
       {2.094395102393195, 120.}, 
       {2.356194490192344, 135.}, 
       {2.617993877991494, 150.}, 
       {2.879793265790643, 165.}, 
       {3.141592653589793, 180.}}]}}, 
   {PlotRange -> All, 
    AspectRatio -> GoldenRatio^(-1), 
    DisplayFunction :> $DisplayFunction, 
    ColorOutput -> Automatic, 
    Axes -> Automatic, AxesOrigin -> Automatic, 
    PlotLabel -> "Phase Response (degrees)", 
    AxesLabel -> {"w", " "}, 
    Ticks -> Automatic, GridLines -> None, 
    Prolog -> {}, Epilog -> {}, 
    AxesStyle -> Automatic, 
    Background -> Automatic, 
    DefaultColor -> Automatic, 
    DefaultFont :> $DefaultFont, 
    RotateLabel -> True, Frame -> False, 
    FrameStyle -> Automatic, 
    FrameTicks -> Automatic, 
    FrameLabel -> None, PlotRegion -> Automatic}
    ]}
;[o]
{-Graphics-, -Graphics-}
:[font = text; inactive; preserveAspect; ]
MagnitudePhasePlot plots Bode diagrams, Nichols plots, DFT lollipop plots, and more according to the options passed to it.  The default options are:
;[s]
2:0,0;18,1;149,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Options[ MagnitudePhasePlot ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{DisplayFunction :> $DisplayFunction, 
  Domain -> Continuous, DomainScale -> Linear, 
  MagRangeScale -> Linear, 
  PhaseRangeScale -> Degree, PlotRange -> All}
;[o]
{DisplayFunction :> $DisplayFunction, 
 
  Domain -> Continuous, DomainScale -> Linear, 
 
  MagRangeScale -> Linear, 
 
  PhaseRangeScale -> Degree, PlotRange -> All}
:[font = text; inactive; preserveAspect; ]
$DisplayFunction is a built-in variable which tells Mathematica how to render graphics on the screen (many graphics formats are supported; the Notebook interface uses PostScript by default).    The Domain option indicates whether the frequency variable is real-valued (Domain -> Continuous) or integer valued (Domain -> Discrete).  The DomainScale option indicates whether or not to use a Linear or Log scale for the frequency axis (and likewise for the MagRangeScale option for the vertical axis of the magnitude plot).  The phase can be plotted in degrees (PhaseRangeScale -> Degree) or radians (PhaseRangeScale -> Radian).  The option MagRangeScale -> Null suppresses the plotting of the magnitude response, and PhaseRangeScale -> Null suppresses the plotting of the phase response.  MagPhasePlot also supports the same options as Plot does such as PlotRange and PlotLabel.
;[s]
36:0,0;16,1;52,2;63,3;167,4;177,5;198,6;205,7;269,8;289,9;310,10;328,11;336,12;347,13;389,14;395,15;399,16;402,17;454,18;467,19;559,20;584,21;598,22;623,23;638,24;659,25;715,26;738,27;787,28;799,29;834,30;838,31;852,32;861,33;866,34;875,35;876,-1;
36:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; startGroup; ]
Nichols Plots
:[font = text; inactive; preserveAspect; ]
     Here is a Nichols plot (linear magnitude and frequency axes) for a continuous-time Fourier transform that is a sum of three Delta functions:
:[font = input; preserveAspect; startGroup; ]
MagnitudePhasePlot[
  1/2 Delta[w+1] + Delta[w] + 1/2 Delta[w-1],
  {w, -Pi, Pi},
  DomainScale -> Linear,
  MagRangeScale -> Linear ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.423031 0.014715 0.588604 [
[(-1)] 0.07697 0.01472 0 2 Msboxa
[(-0.5)] 0.28848 0.01472 0 2 Msboxa
[(0.5)] 0.71152 0.01472 0 2 Msboxa
[(1)] 0.92303 0.01472 0 2 Msboxa
[(w)] 1.025 0.01472 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.13244 1 0 Msboxa
[(0.4)] 0.4875 0.25016 1 0 Msboxa
[(0.6)] 0.4875 0.36788 1 0 Msboxa
[(0.8)] 0.4875 0.4856 1 0 Msboxa
[(1)] 0.4875 0.60332 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.07697 0.01472 moveto
0.07697 0.02097 lineto
stroke
grestore
[(-1)] 0.07697 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.28848 0.01472 moveto
0.28848 0.02097 lineto
stroke
grestore
[(-0.5)] 0.28848 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.71152 0.01472 moveto
0.71152 0.02097 lineto
stroke
grestore
[(0.5)] 0.71152 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.92303 0.01472 moveto
0.92303 0.02097 lineto
stroke
grestore
[(1)] 0.92303 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.11927 0.01472 moveto
0.11927 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16158 0.01472 moveto
0.16158 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20388 0.01472 moveto
0.20388 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24618 0.01472 moveto
0.24618 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.33079 0.01472 moveto
0.33079 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37309 0.01472 moveto
0.37309 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.41539 0.01472 moveto
0.41539 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.4577 0.01472 moveto
0.4577 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5423 0.01472 moveto
0.5423 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58461 0.01472 moveto
0.58461 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62691 0.01472 moveto
0.62691 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66921 0.01472 moveto
0.66921 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75382 0.01472 moveto
0.75382 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79612 0.01472 moveto
0.79612 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83842 0.01472 moveto
0.83842 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88073 0.01472 moveto
0.88073 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03467 0.01472 moveto
0.03467 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96533 0.01472 moveto
0.96533 0.01847 lineto
stroke
grestore
[(w)] 1.025 0.01472 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.13244 moveto
0.50625 0.13244 lineto
stroke
grestore
[(0.2)] 0.4875 0.13244 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25016 moveto
0.50625 0.25016 lineto
stroke
grestore
[(0.4)] 0.4875 0.25016 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.36788 moveto
0.50625 0.36788 lineto
stroke
grestore
[(0.6)] 0.4875 0.36788 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.4856 moveto
0.50625 0.4856 lineto
stroke
grestore
[(0.8)] 0.4875 0.4856 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.60332 moveto
0.50625 0.60332 lineto
stroke
grestore
[(1)] 0.4875 0.60332 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.03826 moveto
0.50375 0.03826 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0618 moveto
0.50375 0.0618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.08535 moveto
0.50375 0.08535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10889 moveto
0.50375 0.10889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15598 moveto
0.50375 0.15598 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17952 moveto
0.50375 0.17952 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20307 moveto
0.50375 0.20307 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22661 moveto
0.50375 0.22661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.2737 moveto
0.50375 0.2737 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29724 moveto
0.50375 0.29724 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32079 moveto
0.50375 0.32079 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34433 moveto
0.50375 0.34433 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39142 moveto
0.50375 0.39142 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.41497 moveto
0.50375 0.41497 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43851 moveto
0.50375 0.43851 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46205 moveto
0.50375 0.46205 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50914 moveto
0.50375 0.50914 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53269 moveto
0.50375 0.53269 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55623 moveto
0.50375 0.55623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57977 moveto
0.50375 0.57977 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.006 setlinewidth
0.92303 0.30902 moveto
0.86987 0.22073 lineto
0.97619 0.22073 lineto
0.92303 0.30902 lineto
stroke
0.92303 0.01472 moveto
0.92303 0.22073 lineto
stroke
grestore
grestore
gsave
gsave
0.006 setlinewidth
0.5 0.60332 moveto
0.44684 0.4856 lineto
0.55316 0.4856 lineto
0.5 0.60332 lineto
stroke
0.5 0.01472 moveto
0.5 0.4856 lineto
stroke
grestore
grestore
gsave
gsave
0.006 setlinewidth
0.07697 0.30902 moveto
0.02381 0.22073 lineto
0.13013 0.22073 lineto
0.07697 0.30902 lineto
stroke
0.07697 0.01472 moveto
0.07697 0.22073 lineto
stroke
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
{Graphics[{{{Thickness[0.006], 
      Line[{{1., 0.5}, 
        {0.874336293856408, 0.35}, 
        {1.125663706143592, 0.35}, 
        {1., 0.5}}], 
      Line[{{1., 0}, {1., 0.35}}]}}, 
    {{Thickness[0.006], 
      Line[{{0, 1.}, 
        {-0.1256637061435917, 0.8}, 
        {0.1256637061435917, 0.8}, {0, 1.}}
        ], Line[{{0, 0}, {0, 0.8}}]}}, 
    {{Thickness[0.006], 
      Line[{{-1., 0.5}, 
        {-1.125663706143592, 0.35}, 
        {-0.874336293856408, 0.35}, 
        {-1., 0.5}}], 
      Line[{{-1., 0}, {-1., 0.35}}]}}}, 
   DisplayFunction :> $DisplayFunction, 
   PlotRange -> All, Axes -> True, 
   AxesLabel -> {"w", " "}, 
   PlotLabel -> "Magnitude Response", 
   PlotRange -> All, Ticks -> Automatic], 
  Graphics[PointSize[0.007]]}
;[o]
{-Graphics-, -Graphics-}
:[font = subsection; inactive; preserveAspect; startGroup; ]
Bode Diagrams
:[font = text; inactive; preserveAspect; ]
     Here is a Bode diagram (logarithmic magnitude and frequency axes) for a analog filter with poles at -1 and -2 (the 0.3 x-axis tick corresponds to w = 2 rad/sec and the 0.7 x-axis tick corresponds to w = 5 rad/sec):
;[s]
5:0,0;151,1;152,2;204,3;205,4;220,-1;
5:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
MagnitudePhasePlot[
  1 / ((I w + 1)(I w + 2)),
  {w, 0.1, 10},
  DomainScale -> Log,
  MagRangeScale -> Log ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 177; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.708055 0.017241 [
[(-1)] 0.02381 0.62185 0 2 Msboxa
[(-0.7)] 0.16667 0.62185 0 2 Msboxa
[(-0.3)] 0.35714 0.62185 0 2 Msboxa
[(0.3)] 0.64286 0.62185 0 2 Msboxa
[(0.7)] 0.83333 0.62185 0 2 Msboxa
[(Log  w)(   10)] 1.025 0.62185 -1 0 Msboxa
[(Magnitude Response \(dB\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-40)] 0.4875 0.0184 1 0 Msboxa
[(-35)] 0.4875 0.1046 1 0 Msboxa
[(-30)] 0.4875 0.19081 1 0 Msboxa
[(-25)] 0.4875 0.27702 1 0 Msboxa
[(-20)] 0.4875 0.36323 1 0 Msboxa
[(-15)] 0.4875 0.44943 1 0 Msboxa
[(-10)] 0.4875 0.53564 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.6291 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.02381 0.62185 moveto
0.02381 0.6281 lineto
stroke
grestore
[(-1)] 0.02381 0.62185 0 2 Mshowa
gsave
0.002 setlinewidth
0.16667 0.62185 moveto
0.16667 0.6281 lineto
stroke
grestore
[(-0.7)] 0.16667 0.62185 0 2 Mshowa
gsave
0.002 setlinewidth
0.35714 0.62185 moveto
0.35714 0.6281 lineto
stroke
grestore
[(-0.3)] 0.35714 0.62185 0 2 Mshowa
gsave
0.002 setlinewidth
0.64286 0.62185 moveto
0.64286 0.6281 lineto
stroke
grestore
[(0.3)] 0.64286 0.62185 0 2 Mshowa
gsave
0.002 setlinewidth
0.83333 0.62185 moveto
0.83333 0.6281 lineto
stroke
grestore
[(0.7)] 0.83333 0.62185 0 2 Mshowa
[(Log  w)(   10)] 1.025 0.62185 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.62185 moveto
1 0.62185 lineto
stroke
grestore
[(Magnitude Response \(dB\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.0184 moveto
0.50625 0.0184 lineto
stroke
grestore
[(-40)] 0.4875 0.0184 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.1046 moveto
0.50625 0.1046 lineto
stroke
grestore
[(-35)] 0.4875 0.1046 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.19081 moveto
0.50625 0.19081 lineto
stroke
grestore
[(-30)] 0.4875 0.19081 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.27702 moveto
0.50625 0.27702 lineto
stroke
grestore
[(-25)] 0.4875 0.27702 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.36323 moveto
0.50625 0.36323 lineto
stroke
grestore
[(-20)] 0.4875 0.36323 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44943 moveto
0.50625 0.44943 lineto
stroke
grestore
[(-15)] 0.4875 0.44943 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.53564 moveto
0.50625 0.53564 lineto
stroke
grestore
[(-10)] 0.4875 0.53564 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.03564 moveto
0.50375 0.03564 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05288 moveto
0.50375 0.05288 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07012 moveto
0.50375 0.07012 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.08736 moveto
0.50375 0.08736 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12185 moveto
0.50375 0.12185 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13909 moveto
0.50375 0.13909 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15633 moveto
0.50375 0.15633 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17357 moveto
0.50375 0.17357 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20805 moveto
0.50375 0.20805 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22529 moveto
0.50375 0.22529 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24254 moveto
0.50375 0.24254 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.25978 moveto
0.50375 0.25978 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29426 moveto
0.50375 0.29426 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3115 moveto
0.50375 0.3115 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32874 moveto
0.50375 0.32874 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34598 moveto
0.50375 0.34598 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38047 moveto
0.50375 0.38047 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39771 moveto
0.50375 0.39771 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.41495 moveto
0.50375 0.41495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43219 moveto
0.50375 0.43219 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46667 moveto
0.50375 0.46667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48392 moveto
0.50375 0.48392 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50116 moveto
0.50375 0.50116 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5184 moveto
0.50375 0.5184 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55288 moveto
0.50375 0.55288 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57012 moveto
0.50375 0.57012 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58736 moveto
0.50375 0.58736 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.60461 moveto
0.50375 0.60461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.00116 moveto
0.50375 0.00116 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.04888 0.60306 lineto
0.07125 0.60278 lineto
0.10981 0.60212 lineto
0.14229 0.60135 lineto
0.17036 0.60046 lineto
0.19508 0.59945 lineto
0.21715 0.59834 lineto
0.25527 0.5958 lineto
0.28746 0.59287 lineto
0.3153 0.58958 lineto
0.36176 0.58203 lineto
0.39967 0.57341 lineto
0.4317 0.56397 lineto
0.48388 0.54344 lineto
0.5255 0.52176 lineto
0.56014 0.49977 lineto
0.61573 0.45672 lineto
0.6595 0.41626 lineto
0.69561 0.3789 lineto
0.72634 0.34458 lineto
0.75309 0.31305 lineto
0.77677 0.28403 lineto
0.79801 0.25723 lineto
0.81728 0.23237 lineto
0.8349 0.20923 lineto
0.85114 0.18762 lineto
0.86619 0.16735 lineto
0.88023 0.14829 lineto
0.89337 0.1303 lineto
0.90572 0.11329 lineto
0.91738 0.09714 lineto
0.92842 0.08179 lineto
0.9389 0.06716 lineto
0.94887 0.05319 lineto
0.95838 0.03983 lineto
0.96748 0.02701 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 283; pictureHeight = 177; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.636 0.003812 [
[(-1)] 0.02381 0.61694 0 2 Msboxa
[(-0.7)] 0.16667 0.61694 0 2 Msboxa
[(-0.3)] 0.35714 0.61694 0 2 Msboxa
[(0.3)] 0.64286 0.61694 0 2 Msboxa
[(0.7)] 0.83333 0.61694 0 2 Msboxa
[(Log  w)(   10)] 1.025 0.61694 -1 0 Msboxa
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-150)] 0.4875 0.06419 1 0 Msboxa
[(-125)] 0.4875 0.15949 1 0 Msboxa
[(-100)] 0.4875 0.2548 1 0 Msboxa
[(-75)] 0.4875 0.3501 1 0 Msboxa
[(-50)] 0.4875 0.4454 1 0 Msboxa
[(-25)] 0.4875 0.5407 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.62419 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.02381 0.61694 moveto
0.02381 0.62319 lineto
stroke
grestore
[(-1)] 0.02381 0.61694 0 2 Mshowa
gsave
0.002 setlinewidth
0.16667 0.61694 moveto
0.16667 0.62319 lineto
stroke
grestore
[(-0.7)] 0.16667 0.61694 0 2 Mshowa
gsave
0.002 setlinewidth
0.35714 0.61694 moveto
0.35714 0.62319 lineto
stroke
grestore
[(-0.3)] 0.35714 0.61694 0 2 Mshowa
gsave
0.002 setlinewidth
0.64286 0.61694 moveto
0.64286 0.62319 lineto
stroke
grestore
[(0.3)] 0.64286 0.61694 0 2 Mshowa
gsave
0.002 setlinewidth
0.83333 0.61694 moveto
0.83333 0.62319 lineto
stroke
grestore
[(0.7)] 0.83333 0.61694 0 2 Mshowa
[(Log  w)(   10)] 1.025 0.61694 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.61694 moveto
1 0.61694 lineto
stroke
grestore
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.06419 moveto
0.50625 0.06419 lineto
stroke
grestore
[(-150)] 0.4875 0.06419 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.15949 moveto
0.50625 0.15949 lineto
stroke
grestore
[(-125)] 0.4875 0.15949 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.2548 moveto
0.50625 0.2548 lineto
stroke
grestore
[(-100)] 0.4875 0.2548 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3501 moveto
0.50625 0.3501 lineto
stroke
grestore
[(-75)] 0.4875 0.3501 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.4454 moveto
0.50625 0.4454 lineto
stroke
grestore
[(-50)] 0.4875 0.4454 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.5407 moveto
0.50625 0.5407 lineto
stroke
grestore
[(-25)] 0.4875 0.5407 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.08325 moveto
0.50375 0.08325 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10231 moveto
0.50375 0.10231 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12137 moveto
0.50375 0.12137 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14043 moveto
0.50375 0.14043 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17855 moveto
0.50375 0.17855 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19761 moveto
0.50375 0.19761 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.21668 moveto
0.50375 0.21668 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.23574 moveto
0.50375 0.23574 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27386 moveto
0.50375 0.27386 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29292 moveto
0.50375 0.29292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31198 moveto
0.50375 0.31198 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33104 moveto
0.50375 0.33104 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.36916 moveto
0.50375 0.36916 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38822 moveto
0.50375 0.38822 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40728 moveto
0.50375 0.40728 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42634 moveto
0.50375 0.42634 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46446 moveto
0.50375 0.46446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48352 moveto
0.50375 0.48352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50258 moveto
0.50375 0.50258 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.52164 moveto
0.50375 0.52164 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04513 moveto
0.50375 0.04513 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02607 moveto
0.50375 0.02607 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.00701 moveto
0.50375 0.00701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55976 moveto
0.50375 0.55976 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57882 moveto
0.50375 0.57882 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59788 moveto
0.50375 0.59788 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.10981 0.58663 lineto
0.17036 0.57012 lineto
0.25527 0.5379 lineto
0.3153 0.50703 lineto
0.36176 0.47777 lineto
0.4317 0.42453 lineto
0.48388 0.37835 lineto
0.56014 0.3044 lineto
0.61573 0.2493 lineto
0.6595 0.20746 lineto
0.69561 0.17497 lineto
0.72634 0.14923 lineto
0.75309 0.12845 lineto
0.77677 0.11138 lineto
0.79801 0.09716 lineto
0.81728 0.08515 lineto
0.8349 0.07489 lineto
0.85114 0.06604 lineto
0.86619 0.05832 lineto
0.88023 0.05155 lineto
0.89337 0.04555 lineto
0.90572 0.04021 lineto
0.91738 0.03543 lineto
0.92842 0.03112 lineto
0.9389 0.02721 lineto
0.94887 0.02366 lineto
0.95838 0.02042 lineto
0.96748 0.01745 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
{Graphics[{{Line[{{-1., -6.074657464028248}, 
       {-0.947342122555301, 
        -6.089412904026634}, 
       {-0.900384093616018, 
        -6.105914918562244}, 
       {-0.819408239717642, 
        -6.144103260085613}, 
       {-0.7511841124547456, 
        -6.189098840560773}, 
       {-0.6922366216770504, 
        -6.240758546207497}, 
       {-0.6403423492937588, 
        -6.298921434743611}, 
       {-0.5939923695799294, 
        -6.363410514360348}, 
       {-0.5139239026274111, 
        -6.510590376180167}, 
       {-0.4463444916439991, 
        -6.680633893781593}, 
       {-0.3878786826641417, 
        -6.871743496227463}, 
       {-0.2903061302722081, 
        -7.309654443764437}, 
       {-0.210683752158313, 
        -7.809367849320605}, 
       {-0.1434221423023131, 
        -8.35683279523986}, 
       {-0.03385826726096742, 
        -9.54735353732319}, 
       {0.05355859221325967, 
        -10.80494190459236}, 
       {0.126293790693266, 
        -12.08030431884607}, 
       {0.2430380486862944, 
        -14.57751834814425}, 
       {0.3349561161368518, 
        -16.92413348078427}, 
       {0.4107772333772097, 
        -19.09118909569249}, 
       {0.4753079139561941, 
        -21.08173154420404}, 
       {0.531478917042255, 
        -22.90999232054847}, 
       {0.5812098523548422, 
        -24.59311877125592}, 
       {0.625826713285711, 
        -26.14789617727321}, 
       {0.6662839226231023, 
        -27.5895542637654}, 
       {0.7032913781186613, 
        -28.93145662217708}, 
       {0.7373914499784782, 
        -30.18515283933344}, 
       {0.7690078709437738, 
        -31.36056411370445}, 
       {0.7984779980639837, 
        -32.46620233036728}, 
       {0.826074802700826, 
        -33.50938094958495}, 
       {0.852022279403127, 
        -34.4964024533171}, 
       {0.876506504265881, 
        -35.432718775744}, 
       {0.899683738300032, 
        -36.3230660270988}, 
       {0.921686475483602, 
        -37.17157658473511}, 
       {0.942628030974715, 
        -37.9818719985271}, 
       {0.962606072924127, 
        -38.75713994980706}, 
       {0.981705376957037, 
        -39.50019808956482}, 
       {1., -40.21354713081422}}]}}, 
   DisplayFunction :> $DisplayFunction, 
   PlotRange -> All, 
   PlotLabel -> "Magnitude Response (dB)", 
   PlotRange -> {-60, 20}, 
   Ticks -> 
    {{-1, -0.7, -0.3, 0, 0.3, 0.7}, 
     Automatic}, AxesLabel -> 
    {"Log  w\n   10", " "}, 
   {PlotRange -> All, 
    AspectRatio -> GoldenRatio^(-1), 
    DisplayFunction :> Identity, 
    ColorOutput -> Automatic, 
    Axes -> Automatic, 
    AxesOrigin -> Automatic, 
    PlotLabel -> None, AxesLabel -> None, 
    Ticks -> Automatic, GridLines -> None, 
    Prolog -> {}, Epilog -> {}, 
    AxesStyle -> Automatic, 
    Background -> Automatic, 
    DefaultColor -> Automatic, 
    DefaultFont :> $DefaultFont, 
    RotateLabel -> True, Frame -> False, 
    FrameStyle -> Automatic, 
    FrameTicks -> Automatic, 
    FrameLabel -> None, 
    PlotRegion -> Automatic}], 
  Graphics[{{Line[{{-1., -8.57299836361139}, 
       {-0.819408239717642, 
        -12.95196282718578}, 
       {-0.6922366216770504, 
        -17.28120898384651}, 
       {-0.5139239026274111, 
        -25.73300151162436}, 
       {-0.3878786826641417, 
        -33.83090827799692}, 
       {-0.2903061302722081, 
        -41.50791830653873}, 
       {-0.1434221423023131, 
        -55.47386007739453}, 
       {-0.03385826726096742, 
        -67.58936672745782}, 
       {0.126293790693266, 
        -86.9885006440505}, 
       {0.2430380486862944, 
        -101.4410438687674}, 
       {0.3349561161368518, 
        -112.4185060237194}, 
       {0.4107772333772097, 
        -120.9398909630661}, 
       {0.4753079139561941, 
        -127.6925915666517}, 
       {0.531478917042255, 
        -133.1449147465053}, 
       {0.5812098523548422, 
        -137.6216191520028}, 
       {0.625826713285711, 
        -141.3523163786426}, 
       {0.6662839226231023, 
        -144.5025004429429}, 
       {0.7032913781186613, 
        -147.1936749694771}, 
       {0.7373914499784782, 
        -149.5166101877229}, 
       {0.7690078709437738, 
        -151.540221762905}, 
       {0.7984779980639837, 
        -153.3176196805418}, 
       {0.826074802700826, 
        -154.8902992056032}, 
       {0.852022279403127, 
        -156.2910922897607}, 
       {0.876506504265881, 
        -157.5462786079476}, 
       {0.899683738300032, 
        -158.6771178602471}, 
       {0.921686475483602, 
        -159.7009774672378}, 
       {0.942628030974715, 
        -160.6321733035129}, 
       {0.962606072924127, 
        -161.482604119405}, 
       {0.981705376957037, 
        -162.262235718095}, 
       {1., -162.9794743884801}}]}}, 
   {PlotRange -> All, 
    AspectRatio -> GoldenRatio^(-1), 
    DisplayFunction :> $DisplayFunction, 
    ColorOutput -> Automatic, 
    Axes -> Automatic, 
    AxesOrigin -> Automatic, 
    PlotLabel -> "Phase Response (degrees)", 
    AxesLabel -> {"Log  w\n   10", " "}, 
    Ticks -> 
     {{-1, -0.7, -0.3, 0, 0.3, 0.7}, 
      Automatic}, GridLines -> None, 
    Prolog -> {}, Epilog -> {}, 
    AxesStyle -> Automatic, 
    Background -> Automatic, 
    DefaultColor -> Automatic, 
    DefaultFont :> $DefaultFont, 
    RotateLabel -> True, Frame -> False, 
    FrameStyle -> Automatic, 
    FrameTicks -> Automatic, 
    FrameLabel -> None, 
    PlotRegion -> Automatic}]}
;[o]
{-Graphics-, -Graphics-}
:[font = text; inactive; preserveAspect; ]
     Here is a trick using the DisplayFunction option to plot the same Bode diagram side-by-side:
;[s]
3:0,0;31,1;46,2;98,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
plots =
  MagnitudePhasePlot[
    1 / ((I w + 1)(I w + 2)),
    {w, 0.1, 10},
    DisplayFunction -> Identity,
    DomainScale -> Log,
    MagRangeScale -> Log ];

Show[ GraphicsArray[ plots ] ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 408; pictureHeight = 120; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.2943 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.007007 0.952381 [
[ 0 0 0 0 ]
[ 1 0.294302 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.2943 lineto
0 0.2943 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.00701 0.47732 0.28729 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.708055 0.017241 [
[(-1)] 0.02381 0.62185 0 2 Msboxa
[(-0.7)] 0.16667 0.62185 0 2 Msboxa
[(-0.3)] 0.35714 0.62185 0 2 Msboxa
[(0.3)] 0.64286 0.62185 0 2 Msboxa
[(0.7)] 0.83333 0.62185 0 2 Msboxa
[(Log  w)(   10)] 1.025 0.62185 -1 0 Msboxa
[(Magnitude Response \(dB\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-40)] 0.4875 0.0184 1 0 Msboxa
[(-35)] 0.4875 0.1046 1 0 Msboxa
[(-30)] 0.4875 0.19081 1 0 Msboxa
[(-25)] 0.4875 0.27702 1 0 Msboxa
[(-20)] 0.4875 0.36323 1 0 Msboxa
[(-15)] 0.4875 0.44943 1 0 Msboxa
[(-10)] 0.4875 0.53564 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.6291 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02381 0.62185 moveto
0.02381 0.6281 lineto
stroke
grestore
[(-1)] 0.02381 0.62185 0 2 Mshowa
gsave
0.002 setlinewidth
0.16667 0.62185 moveto
0.16667 0.6281 lineto
stroke
grestore
[(-0.7)] 0.16667 0.62185 0 2 Mshowa
gsave
0.002 setlinewidth
0.35714 0.62185 moveto
0.35714 0.6281 lineto
stroke
grestore
[(-0.3)] 0.35714 0.62185 0 2 Mshowa
gsave
0.002 setlinewidth
0.64286 0.62185 moveto
0.64286 0.6281 lineto
stroke
grestore
[(0.3)] 0.64286 0.62185 0 2 Mshowa
gsave
0.002 setlinewidth
0.83333 0.62185 moveto
0.83333 0.6281 lineto
stroke
grestore
[(0.7)] 0.83333 0.62185 0 2 Mshowa
[(Log  w)(   10)] 1.025 0.62185 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.62185 moveto
1 0.62185 lineto
stroke
grestore
[(Magnitude Response \(dB\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.0184 moveto
0.50625 0.0184 lineto
stroke
grestore
[(-40)] 0.4875 0.0184 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.1046 moveto
0.50625 0.1046 lineto
stroke
grestore
[(-35)] 0.4875 0.1046 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.19081 moveto
0.50625 0.19081 lineto
stroke
grestore
[(-30)] 0.4875 0.19081 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.27702 moveto
0.50625 0.27702 lineto
stroke
grestore
[(-25)] 0.4875 0.27702 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.36323 moveto
0.50625 0.36323 lineto
stroke
grestore
[(-20)] 0.4875 0.36323 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44943 moveto
0.50625 0.44943 lineto
stroke
grestore
[(-15)] 0.4875 0.44943 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.53564 moveto
0.50625 0.53564 lineto
stroke
grestore
[(-10)] 0.4875 0.53564 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.03564 moveto
0.50375 0.03564 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05288 moveto
0.50375 0.05288 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07012 moveto
0.50375 0.07012 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.08736 moveto
0.50375 0.08736 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12185 moveto
0.50375 0.12185 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13909 moveto
0.50375 0.13909 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15633 moveto
0.50375 0.15633 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17357 moveto
0.50375 0.17357 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20805 moveto
0.50375 0.20805 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22529 moveto
0.50375 0.22529 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24254 moveto
0.50375 0.24254 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.25978 moveto
0.50375 0.25978 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29426 moveto
0.50375 0.29426 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3115 moveto
0.50375 0.3115 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32874 moveto
0.50375 0.32874 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34598 moveto
0.50375 0.34598 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38047 moveto
0.50375 0.38047 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39771 moveto
0.50375 0.39771 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.41495 moveto
0.50375 0.41495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43219 moveto
0.50375 0.43219 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46667 moveto
0.50375 0.46667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48392 moveto
0.50375 0.48392 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50116 moveto
0.50375 0.50116 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5184 moveto
0.50375 0.5184 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55288 moveto
0.50375 0.55288 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57012 moveto
0.50375 0.57012 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58736 moveto
0.50375 0.58736 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.60461 moveto
0.50375 0.60461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.00116 moveto
0.50375 0.00116 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.04888 0.60306 lineto
0.07125 0.60278 lineto
0.10981 0.60212 lineto
0.14229 0.60135 lineto
0.17036 0.60046 lineto
0.19508 0.59945 lineto
0.21715 0.59834 lineto
0.25527 0.5958 lineto
0.28746 0.59287 lineto
0.3153 0.58958 lineto
0.36176 0.58203 lineto
0.39967 0.57341 lineto
0.4317 0.56397 lineto
0.48388 0.54344 lineto
0.5255 0.52176 lineto
0.56014 0.49977 lineto
0.61573 0.45672 lineto
0.6595 0.41626 lineto
0.69561 0.3789 lineto
0.72634 0.34458 lineto
0.75309 0.31305 lineto
0.77677 0.28403 lineto
0.79801 0.25723 lineto
0.81728 0.23237 lineto
0.8349 0.20923 lineto
0.85114 0.18762 lineto
0.86619 0.16735 lineto
0.88023 0.14829 lineto
0.89337 0.1303 lineto
0.90572 0.11329 lineto
0.91738 0.09714 lineto
0.92842 0.08179 lineto
0.9389 0.06716 lineto
0.94887 0.05319 lineto
0.95838 0.03983 lineto
0.96748 0.02701 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.00701 0.97619 0.28729 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.47619 0.636 0.003812 [
[(-1)] 0.02381 0.61694 0 2 Msboxa
[(-0.7)] 0.16667 0.61694 0 2 Msboxa
[(-0.3)] 0.35714 0.61694 0 2 Msboxa
[(0.3)] 0.64286 0.61694 0 2 Msboxa
[(0.7)] 0.83333 0.61694 0 2 Msboxa
[(Log  w)(   10)] 1.025 0.61694 -1 0 Msboxa
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-150)] 0.4875 0.06419 1 0 Msboxa
[(-125)] 0.4875 0.15949 1 0 Msboxa
[(-100)] 0.4875 0.2548 1 0 Msboxa
[(-75)] 0.4875 0.3501 1 0 Msboxa
[(-50)] 0.4875 0.4454 1 0 Msboxa
[(-25)] 0.4875 0.5407 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.62419 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02381 0.61694 moveto
0.02381 0.62319 lineto
stroke
grestore
[(-1)] 0.02381 0.61694 0 2 Mshowa
gsave
0.002 setlinewidth
0.16667 0.61694 moveto
0.16667 0.62319 lineto
stroke
grestore
[(-0.7)] 0.16667 0.61694 0 2 Mshowa
gsave
0.002 setlinewidth
0.35714 0.61694 moveto
0.35714 0.62319 lineto
stroke
grestore
[(-0.3)] 0.35714 0.61694 0 2 Mshowa
gsave
0.002 setlinewidth
0.64286 0.61694 moveto
0.64286 0.62319 lineto
stroke
grestore
[(0.3)] 0.64286 0.61694 0 2 Mshowa
gsave
0.002 setlinewidth
0.83333 0.61694 moveto
0.83333 0.62319 lineto
stroke
grestore
[(0.7)] 0.83333 0.61694 0 2 Mshowa
[(Log  w)(   10)] 1.025 0.61694 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.61694 moveto
1 0.61694 lineto
stroke
grestore
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.06419 moveto
0.50625 0.06419 lineto
stroke
grestore
[(-150)] 0.4875 0.06419 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.15949 moveto
0.50625 0.15949 lineto
stroke
grestore
[(-125)] 0.4875 0.15949 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.2548 moveto
0.50625 0.2548 lineto
stroke
grestore
[(-100)] 0.4875 0.2548 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3501 moveto
0.50625 0.3501 lineto
stroke
grestore
[(-75)] 0.4875 0.3501 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.4454 moveto
0.50625 0.4454 lineto
stroke
grestore
[(-50)] 0.4875 0.4454 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.5407 moveto
0.50625 0.5407 lineto
stroke
grestore
[(-25)] 0.4875 0.5407 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.08325 moveto
0.50375 0.08325 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10231 moveto
0.50375 0.10231 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12137 moveto
0.50375 0.12137 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14043 moveto
0.50375 0.14043 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17855 moveto
0.50375 0.17855 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19761 moveto
0.50375 0.19761 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.21668 moveto
0.50375 0.21668 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.23574 moveto
0.50375 0.23574 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27386 moveto
0.50375 0.27386 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29292 moveto
0.50375 0.29292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31198 moveto
0.50375 0.31198 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33104 moveto
0.50375 0.33104 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.36916 moveto
0.50375 0.36916 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38822 moveto
0.50375 0.38822 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40728 moveto
0.50375 0.40728 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42634 moveto
0.50375 0.42634 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46446 moveto
0.50375 0.46446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48352 moveto
0.50375 0.48352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50258 moveto
0.50375 0.50258 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.52164 moveto
0.50375 0.52164 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04513 moveto
0.50375 0.04513 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02607 moveto
0.50375 0.02607 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.00701 moveto
0.50375 0.00701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55976 moveto
0.50375 0.55976 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57882 moveto
0.50375 0.57882 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59788 moveto
0.50375 0.59788 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.10981 0.58663 lineto
0.17036 0.57012 lineto
0.25527 0.5379 lineto
0.3153 0.50703 lineto
0.36176 0.47777 lineto
0.4317 0.42453 lineto
0.48388 0.37835 lineto
0.56014 0.3044 lineto
0.61573 0.2493 lineto
0.6595 0.20746 lineto
0.69561 0.17497 lineto
0.72634 0.14923 lineto
0.75309 0.12845 lineto
0.77677 0.11138 lineto
0.79801 0.09716 lineto
0.81728 0.08515 lineto
0.8349 0.07489 lineto
0.85114 0.06604 lineto
0.86619 0.05832 lineto
0.88023 0.05155 lineto
0.89337 0.04555 lineto
0.90572 0.04021 lineto
0.91738 0.03543 lineto
0.92842 0.03112 lineto
0.9389 0.02721 lineto
0.94887 0.02366 lineto
0.95838 0.02042 lineto
0.96748 0.01745 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Preferences dialog box to 
control when Unformatted text is generated.
;[o]
-GraphicsArray-
:[font = section; inactive; preserveAspect; startGroup; ]
Fourier Transforms
:[font = text; inactive; preserveAspect; ]
     The signal processing packages offer a forward and inverse Fourier transform for both discrete-time and continuous-time signals:
:[font = print; inactive; preserveAspect; fontName = "Times"; ]
DTFTransform/InvDTFTransform for discrete-time signals
;[s]
2:0,0;28,1;55,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; fontName = "Times"; ]
CTFTransform/InvCTFTransform for continuous-time signals
;[s]
2:0,0;28,1;56,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
These forward transform routines require three arguments---  the function to transform, the time variable, and the Fourier variable.  The inverse transforms require the same arguments, but they switch the order of the time and Fourier variables.  For example,
:[font = input; preserveAspect; startGroup; ]
CTFTransform[ a Delta[t - t0], t, w ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
CTFTData[a*E^(-I*t0*w), FVariables[w]]
;[o]
            -I t0 w
CTFTData[a E       , FVariables[w]]
:[font = text; inactive; preserveAspect; ]
is the forward continuous-time Fourier transform w/r to t of  a d(t - t0), a Dirac delta function shifted by t0 and scaled by a.  The result is a data structure consisting of two fields:  the transform and the Fourier variables.  The transform is simply a multiplied by a term representing the delay of t0. 
;[s]
15:0,0;64,1;65,2;71,3;72,4;109,5;112,6;126,7;127,8;146,9;160,10;254,11;255,12;303,13;305,14;308,-1;
15:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     The syntax for the inverse continuous-time Fourier transform is similar, e.g. the inverse transform of sinc(w) would be
;[s]
3:0,0;113,1;114,2;125,-1;
3:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
InvCTFTransform[ Sinc[w], w, t ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
CPulse[-2, -1 + t]/2
;[o]
CPulse  [-1 + t]
      -2
----------------
       2
:[font = text; inactive; preserveAspect; ]
which is a continuous pulse of length 2 centered at the origin with an amplitude of 1/2 and therefore unit area.
:[font = text; inactive; preserveAspect; ]
     What is exciting is that the transform routines can show you how to compute a transform if you enable the Dialogue option:
;[s]
3:0,0;111,1;119,2;127,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
DTFTransform[ Pulse[L, n] + a Impulse[n - n0],
              n, w, Dialogue -> All ]
:[font = text; inactive; preserveAspect; ]
     The Fourier transforms are also smart enough to work with signals that are defined only in terms of their frequency responses.  For example, if the input signal were defined in the frequency domain as a lowpass triangular-shaped signal of length 2 centered at the origin with unit amplitude at the origin, the Mathematica formula for the (piecewise) function would be
;[s]
3:0,0;315,1;326,2;374,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
tri = (w + 1) CPulse[1, w+1] + w CPulse[1, w]
:[font = text; inactive; preserveAspect; ]
Assume that we want the Fourier response of a system that first modulates the input by cos(w0 t) and then squares the output:
;[s]
4:0,0;91,1;92,2;93,3;126,-1;
4:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
CTFTransform[ ( x[t] Cos[w0 t] )^2, t, w,
       TransformLookup -> { x[t] :> tri } ]
:[font = text; inactive; preserveAspect; ]
In this case, the TransformLookup option tells the transform routine to transform x[t] into the triangular pulse tri.  You can even be less rigid in specifying the transform of x[t], e.g. letting x(t) <---> X(w): 
;[s]
9:0,0;18,1;33,2;82,3;86,4;113,5;116,6;177,7;181,8;213,-1;
9:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
CTFTransform[ x[t] Cos[w0 t], t, w,
       TransformLookup -> { x[t] :> X[w] } ]
:[font = text; inactive; preserveAspect; ]
You can take this transform and ask for dialogue at the same time:
:[font = input; preserveAspect; startGroup; ]
CTFTransform[ x[t] Cos[w0 t], t, w,
       Dialogue -> All,
       TransformLookup -> { x[t] :> X[w] } ]
:[font = print; inactive; preserveAspect; ]
F       {Cos[t w0] x[t]}
  t -> w
which becomes
{Pi F       {x[t]}}            + 
      t -> w       w -> w - w0
 
  {Pi F       {x[t]}}
        t -> w       w -> w + w0
which becomes
{Pi X[w]}            + {Pi X[w]}
         w -> w - w0            w -> w + w0
which becomes
Pi X[w - w0] + Pi X[w + w0]
which becomes
Pi X[w - w0] + Pi X[w + w0]
which simplifies to
Pi (X[w - w0] + X[w + w0])
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
CTFTData[Pi*(X[w - w0] + X[w + w0]), 
  FVariables[w]]
;[o]
CTFTData[Pi (X[w - w0] + X[w + w0]), 
 
  FVariables[w]]
:[font = section; inactive; preserveAspect; startGroup; ]
Discrete Fourier Transforms (DFT's)
:[font = text; inactive; preserveAspect; ]
     The numeric 1-D and 2-D discrete Fourier transform (DFT) is built into Mathematica as the primitives Fourier and InverseFourier.  Each takes a list as an argument which is either a vector or a matrix of sampled values:
;[s]
7:0,0;76,1;87,2;106,3;113,4;118,5;132,6;223,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Chop[ Fourier[ {1,1,1,1,1,1} ] ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{2.449489742783178, 0, 0, 0, 0, 0}
;[o]
{2.44949, 0, 0, 0, 0, 0}
:[font = text; inactive; preserveAspect; ]
Chop will truncate values smaller than 10-16 to zero.  Fourier uses the following definition for the forward DFT of a sequence x[n] of length N:
;[s]
6:0,0;4,1;41,2;44,3;55,4;62,5;145,-1;
6:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; ]
   N         j 2 p k n / N
(  S  x[n] e               ) / sqrt(N)
  n=0
;[s]
3:0,0;30,1;31,2;72,-1;
3:1,11,9,Courier,0,14,0,0,0;1,0,0,Symbol,0,18,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
InverseFourier uses the following definition for the inverse DFT of a sequence X[k] of length N:
;[s]
2:0,0;14,1;96,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; ]
   N         -j 2 p k n / N
(  S  X[k] e                ) / sqrt(N)
  n=0
;[s]
3:0,0;31,1;32,2;73,-1;
3:1,11,9,Courier,0,14,0,0,0;1,0,0,Symbol,0,18,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
These routines define the DFT quite differently than engineers typically do.
;[s]
3:0,0;30,1;47,2;76,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     The signal processing packages offer a symbolic DFT that operates on sequences represented by formulae.  DFTransform requires the sequence written as a formula, the DFT length, the time index variable, and the frequency index variable as arguments.  InvDFTransform requires the sequence written as a formula, the DFT length, the frequency index variable, and the time index variable as arguments.  For example,
;[s]
7:0,0;44,1;52,2;110,3;121,4;255,5;269,6;415,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; endGroup; ]
DFTransform[ Cos[2 Pi n / N], N, n, k ]
:[font = section; inactive; preserveAspect; startGroup; ]
Analog Filter Design
:[font = text; inactive; preserveAspect; ]
     Analog filters can be designed by Mathematica.  The familiar Butterworth, Chebyshev, and Elliptic filters with lowpass, bandpass, bandstop, and highpass responses can be designed by the one command, AnalogFilter.  The command can also design Bessel filters which rarely bother students in undergraduate courses.  For more information, see the tutorial Notebook called ``AnalogFilters''.
;[s]
5:0,0;39,1;50,2;204,3;216,4;392,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Using AnalogFilter, we will design a lowpass Butterworth filter with a cutoff frequency of 20 rad/sec (that's about 6.37 Hz) with a -2 dB or better cutoff at 20 rad/sec and at least 10 dB of attenuation at 30 rad/sec.
;[s]
4:0,0;11,1;23,2;129,3;222,-1;
4:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; startGroup; ]
Step 1:  Determine the order of the filter
:[font = text; inactive; preserveAspect; ]
     First, we need to determine the order of the Butterworth filter necessary.  At the cutoff frequency, we want a magnitude response of -2 dB or better:
:[font = input; preserveAspect; startGroup; ]
bdelta1 = 1 - N[ 10^(-2/20) ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
0.2056717652757185
;[o]
0.205672
:[font = text; inactive; preserveAspect; ]
In the stopband, we want an attenuation of at least 10 dB:
:[font = input; preserveAspect; startGroup; ]
bdelta2 = N[ 10^(-10/20) ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
0.3162277660168379
;[o]
0.316228
:[font = text; inactive; preserveAspect; ]
From s1b and s2b, we can determine the other filter parameters:
;[s]
7:0,0;5,1;6,2;8,3;13,4;14,5;16,6;63,-1;
7:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
FilterParameters[ bdelta1, bdelta2,
  bepsilon, bA, bEripple, bATT, bnu ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{0.2056717652757185, 0.3162277660168379, 
  0.7647831015792085, 3.162277660168379, 
  2.466913365931468, 10., 0.2549277005264028}
;[o]
{0.205672, 0.316228, 0.764783, 3.16228, 
 
  2.46691, 10., 0.254928}
:[font = text; inactive; preserveAspect; ]
The parameters Eripple and ATT are useful when using filter design charts and are calculated here for completeness (note that the attenuation ATT should be 10 dB in this case).  The values of s1b and s2b determine the values of the other parameters.  The value of n and the transition width (2/3 = 20 rad/sec divided by 30 rad/sec) determine the filter order which is 4:
;[s]
15:0,0;15,1;22,2;27,3;30,4;142,5;145,6;192,7;193,8;195,9;200,10;201,11;203,12;264,13;265,14;370,-1;
15:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
FilterOrder[ Butterworth, 2/3, bnu ]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
4
;[o]
4
:[font = subsection; inactive; preserveAspect; startGroup; ]
Step 2:  Find the coefficients of the filter
:[font = text; inactive; preserveAspect; ]
     We now know that we need a fourth-order Butterworth filter to meet specifications.  So, now we can ask Mathematica to create a fourth-order Butterworth filter with a transition band from 20 rad/sec to 30 rad/sec.  The actual cutoff frequency needs to be between 21.39 rad/sec and 22.79 rad/sec (this comes as a consequence of the monotonically decreasing nature of the magnitude response of Butterworth filters).  We have chosen 22 rad/sec:
;[s]
3:0,0;108,1;119,2;445,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; initialization; preserveAspect; startGroup; ]
*)
butter4 = AnalogFilter[Butterworth, t, 4,
                       bepsilon, bA, 2/3, 22]
(*
:[font = output; output; inactive; preserveAspect; endGroup; ]
234256*CIIR[t, {234256., 27824.56490000732, 
    1652.479364188578, 57.4887704545606, 1.}, 
   Roots -> 
    {22*E^((5*I)/8*Pi), 22*E^((7*I)/8*Pi), 
     22*E^((-7*I)/8*Pi), 22*E^((-5*I)/8*Pi)}]
;[o]
234256 CIIR[t, {234256., 27824.6, 1652.48, 
 
    57.4888, 1.}]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
This expression represents a fourth-order filter (the four roots yield five feedback coefficients).  The gain is 234526 and the feedback coefficients are 234256, 27824.6, 1652.48, 57.48888, and 1.   
;[s]
12:0,0;113,1;119,2;154,3;160,4;162,5;169,6;171,7;178,8;180,9;188,10;194,11;199,-1;
12:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Analog Filter Analysis
:[font = text; inactive; preserveAspect; ]
     Once a filter has been designed or defined in some other way, you can ask for its time response.  For example, the impulse response of the fourth-order Butterworth filter designed in the previous section is
:[font = input; preserveAspect; startGroup; ]
SignalPlot[ TheFunction[butter4], {t, 0, 1} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.103542 0.059536 [
[(0.2)] 0.21429 0.10354 0 2 Msboxa
[(0.4)] 0.40476 0.10354 0 2 Msboxa
[(0.6)] 0.59524 0.10354 0 2 Msboxa
[(0.8)] 0.78571 0.10354 0 2 Msboxa
[(1)] 0.97619 0.10354 0 2 Msboxa
[(t)] 1.025 0.10354 -1 0 Msboxa
[(Signal Plot)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.01131 0.22261 1 0 Msboxa
[(4)] 0.01131 0.34169 1 0 Msboxa
[(6)] 0.01131 0.46076 1 0 Msboxa
[(8)] 0.01131 0.57983 1 0 Msboxa
[( )] 0.02381 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.21429 0.10354 moveto
0.21429 0.10979 lineto
stroke
grestore
[(0.2)] 0.21429 0.10354 0 2 Mshowa
gsave
0.002 setlinewidth
0.40476 0.10354 moveto
0.40476 0.10979 lineto
stroke
grestore
[(0.4)] 0.40476 0.10354 0 2 Mshowa
gsave
0.002 setlinewidth
0.59524 0.10354 moveto
0.59524 0.10979 lineto
stroke
grestore
[(0.6)] 0.59524 0.10354 0 2 Mshowa
gsave
0.002 setlinewidth
0.78571 0.10354 moveto
0.78571 0.10979 lineto
stroke
grestore
[(0.8)] 0.78571 0.10354 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.10354 moveto
0.97619 0.10979 lineto
stroke
grestore
[(1)] 0.97619 0.10354 0 2 Mshowa
gsave
0.001 setlinewidth
0.0619 0.10354 moveto
0.0619 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1 0.10354 moveto
0.1 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1381 0.10354 moveto
0.1381 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17619 0.10354 moveto
0.17619 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25238 0.10354 moveto
0.25238 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29048 0.10354 moveto
0.29048 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32857 0.10354 moveto
0.32857 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36667 0.10354 moveto
0.36667 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44286 0.10354 moveto
0.44286 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48095 0.10354 moveto
0.48095 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51905 0.10354 moveto
0.51905 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55714 0.10354 moveto
0.55714 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63333 0.10354 moveto
0.63333 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67143 0.10354 moveto
0.67143 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70952 0.10354 moveto
0.70952 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74762 0.10354 moveto
0.74762 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82381 0.10354 moveto
0.82381 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8619 0.10354 moveto
0.8619 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9 0.10354 moveto
0.9 0.10729 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9381 0.10354 moveto
0.9381 0.10729 lineto
stroke
grestore
[(t)] 1.025 0.10354 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.10354 moveto
1 0.10354 lineto
stroke
grestore
[(Signal Plot)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.02381 0.22261 moveto
0.03006 0.22261 lineto
stroke
grestore
[(2)] 0.01131 0.22261 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.34169 moveto
0.03006 0.34169 lineto
stroke
grestore
[(4)] 0.01131 0.34169 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.46076 moveto
0.03006 0.46076 lineto
stroke
grestore
[(6)] 0.01131 0.46076 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.57983 moveto
0.03006 0.57983 lineto
stroke
grestore
[(8)] 0.01131 0.57983 1 0 Mshowa
gsave
0.001 setlinewidth
0.02381 0.12736 moveto
0.02756 0.12736 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.15117 moveto
0.02756 0.15117 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.17499 moveto
0.02756 0.17499 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.1988 moveto
0.02756 0.1988 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.24643 moveto
0.02756 0.24643 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.27024 moveto
0.02756 0.27024 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.29406 moveto
0.02756 0.29406 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.31787 moveto
0.02756 0.31787 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.3655 moveto
0.02756 0.3655 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.38932 moveto
0.02756 0.38932 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.41313 moveto
0.02756 0.41313 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.43695 moveto
0.02756 0.43695 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.48457 moveto
0.02756 0.48457 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.50839 moveto
0.02756 0.50839 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.5322 moveto
0.02756 0.5322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.55602 moveto
0.02756 0.55602 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.07973 moveto
0.02756 0.07973 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.05591 moveto
0.02756 0.05591 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.0321 moveto
0.02756 0.0321 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.00828 moveto
0.02756 0.00828 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.60365 moveto
0.02756 0.60365 lineto
stroke
grestore
[( )] 0.02381 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.006 setlinewidth
0.02381 0.10354 moveto
0.02505 0.10355 lineto
0.02629 0.10358 lineto
0.02753 0.10367 lineto
0.02877 0.10385 lineto
0.03001 0.10413 lineto
0.03125 0.10453 lineto
0.03249 0.10508 lineto
0.03373 0.1058 lineto
0.03621 0.10778 lineto
0.03869 0.11059 lineto
0.04117 0.1143 lineto
0.04365 0.11898 lineto
0.04861 0.13137 lineto
0.05357 0.14786 lineto
0.06349 0.19244 lineto
0.08333 0.31473 lineto
0.10317 0.44703 lineto
0.1131 0.50432 lineto
0.12302 0.55047 lineto
0.12798 0.56853 lineto
0.13294 0.58293 lineto
0.1379 0.59355 lineto
0.14038 0.59741 lineto
0.14162 0.59898 lineto
0.14286 0.6003 lineto
0.1441 0.60139 lineto
0.14534 0.60223 lineto
0.14658 0.60283 lineto
0.14782 0.60319 lineto
0.14906 0.60332 lineto
0.1503 0.60321 lineto
0.15154 0.60286 lineto
0.15278 0.60228 lineto
0.15526 0.60043 lineto
0.1565 0.59916 lineto
0.15774 0.59767 lineto
0.1627 0.58952 lineto
0.16766 0.57805 lineto
0.17262 0.56349 lineto
0.18254 0.52621 lineto
0.22222 0.31534 lineto
0.24206 0.20773 lineto
0.25198 0.16042 lineto
0.2619 0.11913 lineto
0.27183 0.08461 lineto
0.28175 0.05723 lineto
0.28671 0.04622 lineto
0.29167 0.03698 lineto
0.29663 0.02944 lineto
Mistroke
0.30159 0.02356 lineto
0.30407 0.02121 lineto
0.30655 0.01924 lineto
0.30903 0.01764 lineto
0.31151 0.01641 lineto
0.31275 0.01592 lineto
0.31399 0.01552 lineto
0.31523 0.0152 lineto
0.31647 0.01496 lineto
0.31771 0.0148 lineto
0.31895 0.01472 lineto
0.32019 0.01472 lineto
0.32143 0.01479 lineto
0.32267 0.01493 lineto
0.32391 0.01514 lineto
0.32515 0.01543 lineto
0.32639 0.01578 lineto
0.33135 0.01782 lineto
0.33383 0.0192 lineto
0.33631 0.0208 lineto
0.34127 0.02458 lineto
0.36111 0.04545 lineto
0.38095 0.07034 lineto
0.40079 0.09364 lineto
0.42063 0.11173 lineto
0.43056 0.11825 lineto
0.43552 0.12085 lineto
0.44048 0.12301 lineto
0.44544 0.12473 lineto
0.4504 0.12605 lineto
0.45288 0.12656 lineto
0.45536 0.12697 lineto
0.45784 0.12729 lineto
0.45908 0.12741 lineto
0.46032 0.12751 lineto
0.46156 0.12759 lineto
0.4628 0.12765 lineto
0.46404 0.12769 lineto
0.46528 0.12771 lineto
0.46652 0.12771 lineto
0.46776 0.12768 lineto
0.469 0.12764 lineto
0.47024 0.12758 lineto
0.47272 0.12741 lineto
0.4752 0.12716 lineto
0.48016 0.12648 lineto
0.48512 0.12556 lineto
0.49008 0.12444 lineto
0.5 0.12173 lineto
0.53968 0.10856 lineto
Mistroke
0.5496 0.10559 lineto
0.55952 0.103 lineto
0.56944 0.10085 lineto
0.57937 0.09917 lineto
0.58433 0.09851 lineto
0.58929 0.09797 lineto
0.59425 0.09755 lineto
0.59673 0.09738 lineto
0.59921 0.09723 lineto
0.60169 0.09712 lineto
0.60417 0.09702 lineto
0.60541 0.09699 lineto
0.60665 0.09696 lineto
0.60789 0.09693 lineto
0.60913 0.09692 lineto
0.61037 0.0969 lineto
0.61161 0.0969 lineto
0.61285 0.09689 lineto
0.61409 0.0969 lineto
0.61533 0.09691 lineto
0.61657 0.09692 lineto
0.61781 0.09694 lineto
0.61905 0.09697 lineto
0.65873 0.09957 lineto
0.69841 0.1031 lineto
0.70833 0.10379 lineto
0.71825 0.10435 lineto
0.72817 0.10479 lineto
0.73313 0.10496 lineto
0.7381 0.1051 lineto
0.74306 0.1052 lineto
0.74554 0.10524 lineto
0.74802 0.10528 lineto
0.7505 0.10531 lineto
0.75174 0.10532 lineto
0.75298 0.10533 lineto
0.75422 0.10533 lineto
0.75546 0.10534 lineto
0.7567 0.10535 lineto
0.75794 0.10535 lineto
0.75918 0.10535 lineto
0.76042 0.10535 lineto
0.76166 0.10535 lineto
0.7629 0.10535 lineto
0.76538 0.10534 lineto
0.76662 0.10533 lineto
0.76786 0.10532 lineto
0.77282 0.10528 lineto
0.77778 0.10521 lineto
0.7877 0.10504 lineto
Mistroke
0.79762 0.10483 lineto
0.81746 0.10433 lineto
0.8373 0.10384 lineto
0.84722 0.10363 lineto
0.85714 0.10345 lineto
0.86706 0.1033 lineto
0.87698 0.10319 lineto
0.88194 0.10314 lineto
0.8869 0.10311 lineto
0.89187 0.10308 lineto
0.89435 0.10307 lineto
0.89683 0.10306 lineto
0.89931 0.10306 lineto
0.90055 0.10306 lineto
0.90179 0.10305 lineto
0.90303 0.10305 lineto
0.90427 0.10305 lineto
0.90551 0.10305 lineto
0.90675 0.10305 lineto
0.90799 0.10305 lineto
0.90923 0.10305 lineto
0.91047 0.10305 lineto
0.91171 0.10305 lineto
0.91419 0.10306 lineto
0.91667 0.10306 lineto
0.92163 0.10308 lineto
0.92659 0.10309 lineto
0.93651 0.10314 lineto
0.97619 0.10341 lineto
Mfstroke
grestore
grestore
gsave
[ 0.05 0.05 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.10354 moveto
0.02629 0.10354 lineto
0.02753 0.10354 lineto
0.02877 0.10354 lineto
0.03001 0.10354 lineto
0.03125 0.10354 lineto
0.03249 0.10354 lineto
0.03373 0.10354 lineto
0.03497 0.10354 lineto
0.03621 0.10354 lineto
0.03745 0.10354 lineto
0.03869 0.10354 lineto
0.03993 0.10354 lineto
0.04117 0.10354 lineto
0.04241 0.10354 lineto
0.04365 0.10354 lineto
0.04489 0.10354 lineto
0.04613 0.10354 lineto
0.04737 0.10354 lineto
0.04861 0.10354 lineto
0.04985 0.10354 lineto
0.05109 0.10354 lineto
0.05233 0.10354 lineto
0.05357 0.10354 lineto
0.05481 0.10354 lineto
0.05605 0.10354 lineto
0.05729 0.10354 lineto
0.05853 0.10354 lineto
0.05977 0.10354 lineto
0.06101 0.10354 lineto
0.06225 0.10354 lineto
0.06349 0.10354 lineto
0.06597 0.10354 lineto
0.06721 0.10354 lineto
0.06845 0.10354 lineto
0.06969 0.10354 lineto
0.07093 0.10354 lineto
0.07217 0.10354 lineto
0.07341 0.10354 lineto
0.07465 0.10354 lineto
0.07589 0.10354 lineto
0.07713 0.10354 lineto
0.07837 0.10354 lineto
0.08085 0.10354 lineto
0.08209 0.10354 lineto
0.08333 0.10354 lineto
0.08457 0.10354 lineto
0.08581 0.10354 lineto
0.08705 0.10354 lineto
0.08829 0.10354 lineto
Mistroke
0.09325 0.10354 lineto
0.09449 0.10354 lineto
0.09573 0.10354 lineto
0.09697 0.10354 lineto
0.09821 0.10354 lineto
0.09945 0.10354 lineto
0.10069 0.10354 lineto
0.10193 0.10354 lineto
0.10317 0.10354 lineto
0.10441 0.10354 lineto
0.10565 0.10354 lineto
0.10689 0.10354 lineto
0.10813 0.10354 lineto
0.10938 0.10354 lineto
0.11062 0.10354 lineto
0.11186 0.10354 lineto
0.1131 0.10354 lineto
0.11434 0.10354 lineto
0.11558 0.10354 lineto
0.11682 0.10354 lineto
0.11806 0.10354 lineto
0.12054 0.10354 lineto
0.12178 0.10354 lineto
0.12302 0.10354 lineto
0.12426 0.10354 lineto
0.1255 0.10354 lineto
0.12674 0.10354 lineto
0.12798 0.10354 lineto
0.12922 0.10354 lineto
0.13046 0.10354 lineto
0.1317 0.10354 lineto
0.13294 0.10354 lineto
0.13418 0.10354 lineto
0.13542 0.10354 lineto
0.13666 0.10354 lineto
0.1379 0.10354 lineto
0.13914 0.10354 lineto
0.14038 0.10354 lineto
0.14162 0.10354 lineto
0.14286 0.10354 lineto
0.1441 0.10354 lineto
0.14534 0.10354 lineto
0.14782 0.10354 lineto
0.14906 0.10354 lineto
0.1503 0.10354 lineto
0.15154 0.10354 lineto
0.15278 0.10354 lineto
0.15402 0.10354 lineto
0.15526 0.10354 lineto
0.1565 0.10354 lineto
Mistroke
0.15774 0.10354 lineto
0.15898 0.10354 lineto
0.16022 0.10354 lineto
0.16146 0.10354 lineto
0.1627 0.10354 lineto
0.16394 0.10354 lineto
0.16518 0.10354 lineto
0.16642 0.10354 lineto
0.16766 0.10354 lineto
0.1689 0.10354 lineto
0.17014 0.10354 lineto
0.17138 0.10354 lineto
0.17262 0.10354 lineto
0.18254 0.10354 lineto
0.22222 0.10354 lineto
0.22346 0.10354 lineto
0.2247 0.10354 lineto
0.22594 0.10354 lineto
0.22718 0.10354 lineto
0.22842 0.10354 lineto
0.22966 0.10354 lineto
0.2309 0.10354 lineto
0.23214 0.10354 lineto
0.23338 0.10354 lineto
0.23462 0.10354 lineto
0.23586 0.10354 lineto
0.2371 0.10354 lineto
0.23834 0.10354 lineto
0.23958 0.10354 lineto
0.24082 0.10354 lineto
0.24206 0.10354 lineto
0.2433 0.10354 lineto
0.24454 0.10354 lineto
0.24578 0.10354 lineto
0.24702 0.10354 lineto
0.24826 0.10354 lineto
0.2495 0.10354 lineto
0.25074 0.10354 lineto
0.25198 0.10354 lineto
0.25322 0.10354 lineto
0.25446 0.10354 lineto
0.25694 0.10354 lineto
0.25818 0.10354 lineto
0.25942 0.10354 lineto
0.26066 0.10354 lineto
0.2619 0.10354 lineto
0.26314 0.10354 lineto
0.26438 0.10354 lineto
0.26563 0.10354 lineto
0.26687 0.10354 lineto
Mistroke
0.26935 0.10354 lineto
0.27059 0.10354 lineto
0.27183 0.10354 lineto
0.27307 0.10354 lineto
0.27431 0.10354 lineto
0.27555 0.10354 lineto
0.27679 0.10354 lineto
0.27803 0.10354 lineto
0.27927 0.10354 lineto
0.28051 0.10354 lineto
0.28175 0.10354 lineto
0.28299 0.10354 lineto
0.28423 0.10354 lineto
0.28547 0.10354 lineto
0.28671 0.10354 lineto
0.28795 0.10354 lineto
0.28919 0.10354 lineto
0.29043 0.10354 lineto
0.29167 0.10354 lineto
0.29291 0.10354 lineto
0.29415 0.10354 lineto
0.29539 0.10354 lineto
0.29663 0.10354 lineto
0.29787 0.10354 lineto
0.29911 0.10354 lineto
0.30035 0.10354 lineto
0.30159 0.10354 lineto
0.30283 0.10354 lineto
0.30407 0.10354 lineto
0.30531 0.10354 lineto
0.30655 0.10354 lineto
0.30903 0.10354 lineto
0.31027 0.10354 lineto
0.31151 0.10354 lineto
0.31275 0.10354 lineto
0.31399 0.10354 lineto
0.31523 0.10354 lineto
0.31647 0.10354 lineto
0.31771 0.10354 lineto
0.31895 0.10354 lineto
0.32019 0.10354 lineto
0.32143 0.10354 lineto
0.32267 0.10354 lineto
0.32391 0.10354 lineto
0.32515 0.10354 lineto
0.32639 0.10354 lineto
0.32763 0.10354 lineto
0.32887 0.10354 lineto
0.33011 0.10354 lineto
0.33135 0.10354 lineto
Mistroke
0.33259 0.10354 lineto
0.33383 0.10354 lineto
0.33507 0.10354 lineto
0.33631 0.10354 lineto
0.33755 0.10354 lineto
0.33879 0.10354 lineto
0.34003 0.10354 lineto
0.34127 0.10354 lineto
0.35119 0.10354 lineto
0.35243 0.10354 lineto
0.35367 0.10354 lineto
0.35491 0.10354 lineto
0.35615 0.10354 lineto
0.35739 0.10354 lineto
0.35863 0.10354 lineto
0.35987 0.10354 lineto
0.36111 0.10354 lineto
0.36235 0.10354 lineto
0.36359 0.10354 lineto
0.36607 0.10354 lineto
0.37103 0.10354 lineto
0.38095 0.10354 lineto
0.38591 0.10354 lineto
0.38839 0.10354 lineto
0.38963 0.10354 lineto
0.39087 0.10354 lineto
0.39211 0.10354 lineto
0.39335 0.10354 lineto
0.39583 0.10354 lineto
0.40079 0.10354 lineto
0.41071 0.10354 lineto
0.41195 0.10354 lineto
0.41319 0.10354 lineto
0.41443 0.10354 lineto
0.41567 0.10354 lineto
0.41691 0.10354 lineto
0.41815 0.10354 lineto
0.41939 0.10354 lineto
0.42063 0.10354 lineto
0.42188 0.10354 lineto
0.42312 0.10354 lineto
0.42436 0.10354 lineto
0.4256 0.10354 lineto
0.42684 0.10354 lineto
0.42808 0.10354 lineto
0.42932 0.10354 lineto
0.43056 0.10354 lineto
0.4318 0.10354 lineto
0.43304 0.10354 lineto
0.43428 0.10354 lineto
Mistroke
0.43552 0.10354 lineto
0.43676 0.10354 lineto
0.438 0.10354 lineto
0.43924 0.10354 lineto
0.44048 0.10354 lineto
0.44172 0.10354 lineto
0.44296 0.10354 lineto
0.4442 0.10354 lineto
0.44544 0.10354 lineto
0.44668 0.10354 lineto
0.44792 0.10354 lineto
0.44916 0.10354 lineto
0.4504 0.10354 lineto
0.45164 0.10354 lineto
0.45288 0.10354 lineto
0.45412 0.10354 lineto
0.45536 0.10354 lineto
0.4566 0.10354 lineto
0.45784 0.10354 lineto
0.45908 0.10354 lineto
0.46032 0.10354 lineto
0.46156 0.10354 lineto
0.4628 0.10354 lineto
0.46404 0.10354 lineto
0.46528 0.10354 lineto
0.46652 0.10354 lineto
0.46776 0.10354 lineto
0.47024 0.10354 lineto
0.48016 0.10354 lineto
0.49008 0.10354 lineto
0.5 0.10354 lineto
0.51984 0.10354 lineto
0.52976 0.10354 lineto
0.53224 0.10354 lineto
0.53348 0.10354 lineto
0.53472 0.10354 lineto
0.53596 0.10354 lineto
0.5372 0.10354 lineto
0.53968 0.10354 lineto
0.5496 0.10354 lineto
0.55952 0.10354 lineto
0.56076 0.10354 lineto
0.562 0.10354 lineto
0.56324 0.10354 lineto
0.56448 0.10354 lineto
0.56572 0.10354 lineto
0.56696 0.10354 lineto
0.5682 0.10354 lineto
0.56944 0.10354 lineto
0.57068 0.10354 lineto
Mistroke
0.57192 0.10354 lineto
0.57316 0.10354 lineto
0.5744 0.10354 lineto
0.57564 0.10354 lineto
0.57688 0.10354 lineto
0.57813 0.10354 lineto
0.57937 0.10354 lineto
0.58061 0.10354 lineto
0.58185 0.10354 lineto
0.58309 0.10354 lineto
0.58433 0.10354 lineto
0.58681 0.10354 lineto
0.58805 0.10354 lineto
0.58929 0.10354 lineto
0.59053 0.10354 lineto
0.59177 0.10354 lineto
0.59425 0.10354 lineto
0.59549 0.10354 lineto
0.59673 0.10354 lineto
0.59921 0.10354 lineto
0.60045 0.10354 lineto
0.60169 0.10354 lineto
0.60293 0.10354 lineto
0.60417 0.10354 lineto
0.60541 0.10354 lineto
0.60665 0.10354 lineto
0.60789 0.10354 lineto
0.60913 0.10354 lineto
0.61037 0.10354 lineto
0.61161 0.10354 lineto
0.61285 0.10354 lineto
0.61409 0.10354 lineto
0.61533 0.10354 lineto
0.61657 0.10354 lineto
0.61781 0.10354 lineto
0.61905 0.10354 lineto
0.62029 0.10354 lineto
0.62153 0.10354 lineto
0.62277 0.10354 lineto
0.62401 0.10354 lineto
0.62525 0.10354 lineto
0.62649 0.10354 lineto
0.62773 0.10354 lineto
0.62897 0.10354 lineto
0.63021 0.10354 lineto
0.63145 0.10354 lineto
0.63269 0.10354 lineto
0.63393 0.10354 lineto
0.63889 0.10354 lineto
0.64013 0.10354 lineto
Mistroke
0.64137 0.10354 lineto
0.64261 0.10354 lineto
0.64385 0.10354 lineto
0.64633 0.10354 lineto
0.64757 0.10354 lineto
0.64881 0.10354 lineto
0.65005 0.10354 lineto
0.65129 0.10354 lineto
0.65253 0.10354 lineto
0.65377 0.10354 lineto
0.65501 0.10354 lineto
0.65625 0.10354 lineto
0.65749 0.10354 lineto
0.65873 0.10354 lineto
0.65997 0.10354 lineto
0.66121 0.10354 lineto
0.66245 0.10354 lineto
0.66369 0.10354 lineto
0.66493 0.10354 lineto
0.66617 0.10354 lineto
0.66865 0.10354 lineto
0.66989 0.10354 lineto
0.67113 0.10354 lineto
0.67237 0.10354 lineto
0.67361 0.10354 lineto
0.67609 0.10354 lineto
0.67733 0.10354 lineto
0.67857 0.10354 lineto
0.68353 0.10354 lineto
0.68477 0.10354 lineto
0.68601 0.10354 lineto
0.68725 0.10354 lineto
0.68849 0.10354 lineto
0.68973 0.10354 lineto
0.69097 0.10354 lineto
0.69221 0.10354 lineto
0.69345 0.10354 lineto
0.69469 0.10354 lineto
0.69593 0.10354 lineto
0.69717 0.10354 lineto
0.69841 0.10354 lineto
0.69965 0.10354 lineto
0.70089 0.10354 lineto
0.70213 0.10354 lineto
0.70337 0.10354 lineto
0.70461 0.10354 lineto
0.70585 0.10354 lineto
0.70709 0.10354 lineto
0.70833 0.10354 lineto
0.70957 0.10354 lineto
Mistroke
0.71081 0.10354 lineto
0.71205 0.10354 lineto
0.71329 0.10354 lineto
0.71453 0.10354 lineto
0.71577 0.10354 lineto
0.71701 0.10354 lineto
0.71825 0.10354 lineto
0.72073 0.10354 lineto
0.72321 0.10354 lineto
0.72569 0.10354 lineto
0.72693 0.10354 lineto
0.72817 0.10354 lineto
0.72941 0.10354 lineto
0.73065 0.10354 lineto
0.73189 0.10354 lineto
0.73313 0.10354 lineto
0.73438 0.10354 lineto
0.73562 0.10354 lineto
0.73686 0.10354 lineto
0.7381 0.10354 lineto
0.73934 0.10354 lineto
0.74058 0.10354 lineto
0.74182 0.10354 lineto
0.74306 0.10354 lineto
0.7443 0.10354 lineto
0.74554 0.10354 lineto
0.74802 0.10354 lineto
0.75794 0.10354 lineto
0.7629 0.10354 lineto
0.76786 0.10354 lineto
0.7691 0.10354 lineto
0.77034 0.10354 lineto
0.77158 0.10354 lineto
0.77282 0.10354 lineto
0.77406 0.10354 lineto
0.7753 0.10354 lineto
0.77654 0.10354 lineto
0.77778 0.10354 lineto
0.78026 0.10354 lineto
0.78274 0.10354 lineto
0.7877 0.10354 lineto
0.78894 0.10354 lineto
0.79018 0.10354 lineto
0.79142 0.10354 lineto
0.79266 0.10354 lineto
0.7939 0.10354 lineto
0.79514 0.10354 lineto
0.79638 0.10354 lineto
0.79762 0.10354 lineto
0.79886 0.10354 lineto
Mistroke
0.8001 0.10354 lineto
0.80134 0.10354 lineto
0.80258 0.10354 lineto
0.80382 0.10354 lineto
0.80506 0.10354 lineto
0.80754 0.10354 lineto
0.81746 0.10354 lineto
0.8187 0.10354 lineto
0.81994 0.10354 lineto
0.82242 0.10354 lineto
0.82366 0.10354 lineto
0.8249 0.10354 lineto
0.82614 0.10354 lineto
0.82738 0.10354 lineto
0.82862 0.10354 lineto
0.82986 0.10354 lineto
0.8311 0.10354 lineto
0.83234 0.10354 lineto
0.83358 0.10354 lineto
0.83482 0.10354 lineto
0.83606 0.10354 lineto
0.8373 0.10354 lineto
0.83978 0.10354 lineto
0.84102 0.10354 lineto
0.84226 0.10354 lineto
0.8435 0.10354 lineto
0.84474 0.10354 lineto
0.84598 0.10354 lineto
0.84722 0.10354 lineto
0.84846 0.10354 lineto
0.8497 0.10354 lineto
0.85218 0.10354 lineto
0.85342 0.10354 lineto
0.85466 0.10354 lineto
0.8559 0.10354 lineto
0.85714 0.10354 lineto
0.87698 0.10354 lineto
0.87822 0.10354 lineto
0.87946 0.10354 lineto
0.8807 0.10354 lineto
0.88194 0.10354 lineto
0.88318 0.10354 lineto
0.88442 0.10354 lineto
0.88566 0.10354 lineto
0.8869 0.10354 lineto
0.88814 0.10354 lineto
0.88938 0.10354 lineto
0.89063 0.10354 lineto
0.89187 0.10354 lineto
0.89311 0.10354 lineto
Mistroke
0.89435 0.10354 lineto
0.89559 0.10354 lineto
0.89683 0.10354 lineto
0.89807 0.10354 lineto
0.89931 0.10354 lineto
0.90055 0.10354 lineto
0.90179 0.10354 lineto
0.90303 0.10354 lineto
0.90427 0.10354 lineto
0.90551 0.10354 lineto
0.90675 0.10354 lineto
0.90799 0.10354 lineto
0.90923 0.10354 lineto
0.91047 0.10354 lineto
0.91171 0.10354 lineto
0.91295 0.10354 lineto
0.91419 0.10354 lineto
0.91543 0.10354 lineto
0.91667 0.10354 lineto
0.93651 0.10354 lineto
0.97619 0.10354 lineto
Mfstroke
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Preferences dialog box to 
control when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; preserveAspect; ]
You can find a filter's Fourier transform and plot its frequency response:
:[font = input; preserveAspect; ]
bfilterTransObj = CTFTransform[butter4, t, w];
bfiltertrans = TheFunction[bfilterTransObj]
:[font = input; preserveAspect; startGroup; ]
MagPhasePlot[ bfiltertrans,
              {w, 0, 100},
              MagRangeScale -> Log ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.00952 0.46353 0.00773 [
[(Magnitude Response \(dB\))] 0.5 0.62428 0 -1 Msboxa
[(20)] 0.21429 0.45103 0 1 Msboxa
[(40)] 0.40476 0.45103 0 1 Msboxa
[(60)] 0.59524 0.45103 0 1 Msboxa
[(80)] 0.78571 0.45103 0 1 Msboxa
[(100)] 0.97619 0.45103 0 1 Msboxa
[(w)] 1.00625 0.46353 -1 0 Msboxa
[(-60)] 0.01131 0 1 0 Msboxa
[(-50)] 0.01131 0.07725 1 0 Msboxa
[(-40)] 0.01131 0.15451 1 0 Msboxa
[(-30)] 0.01131 0.23176 1 0 Msboxa
[(-20)] 0.01131 0.30902 1 0 Msboxa
[(-10)] 0.01131 0.38627 1 0 Msboxa
[(10)] 0.01131 0.54078 1 0 Msboxa
[(20)] 0.01131 0.61803 1 0 Msboxa
[( )] 0.02381 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Magnitude Response \(dB\))] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.46353 moveto
1 0.46353 lineto
stroke
0.21429 0.45728 moveto
0.21429 0.46978 lineto
stroke
0 setgray
[(20)] 0.21429 0.45103 0 1 Mshowa
0.40476 0.45728 moveto
0.40476 0.46978 lineto
stroke
0 setgray
[(40)] 0.40476 0.45103 0 1 Mshowa
0.59524 0.45728 moveto
0.59524 0.46978 lineto
stroke
0 setgray
[(60)] 0.59524 0.45103 0 1 Mshowa
0.78571 0.45728 moveto
0.78571 0.46978 lineto
stroke
0 setgray
[(80)] 0.78571 0.45103 0 1 Mshowa
0.97619 0.45728 moveto
0.97619 0.46978 lineto
stroke
0 setgray
[(100)] 0.97619 0.45103 0 1 Mshowa
0 setgray
[(w)] 1.00625 0.46353 -1 0 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0 moveto
0.03006 0 lineto
stroke
0 setgray
[(-60)] 0.01131 0 1 0 Mshowa
0.01756 0.07725 moveto
0.03006 0.07725 lineto
stroke
0 setgray
[(-50)] 0.01131 0.07725 1 0 Mshowa
0.01756 0.15451 moveto
0.03006 0.15451 lineto
stroke
0 setgray
[(-40)] 0.01131 0.15451 1 0 Mshowa
0.01756 0.23176 moveto
0.03006 0.23176 lineto
stroke
0 setgray
[(-30)] 0.01131 0.23176 1 0 Mshowa
0.01756 0.30902 moveto
0.03006 0.30902 lineto
stroke
0 setgray
[(-20)] 0.01131 0.30902 1 0 Mshowa
0.01756 0.38627 moveto
0.03006 0.38627 lineto
stroke
0 setgray
[(-10)] 0.01131 0.38627 1 0 Mshowa
0.01756 0.54078 moveto
0.03006 0.54078 lineto
stroke
0 setgray
[(10)] 0.01131 0.54078 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(20)] 0.01131 0.61803 1 0 Mshowa
0 setgray
[( )] 0.02381 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.46353 moveto
0.02505 0.46353 lineto
0.02629 0.46353 lineto
0.02753 0.46353 lineto
0.02877 0.46353 lineto
0.03001 0.46353 lineto
0.03125 0.46353 lineto
0.03249 0.46353 lineto
0.03373 0.46353 lineto
0.03497 0.46353 lineto
0.03621 0.46353 lineto
0.03745 0.46353 lineto
0.03869 0.46353 lineto
0.03993 0.46353 lineto
0.04117 0.46353 lineto
0.04241 0.46353 lineto
0.04365 0.46353 lineto
0.04489 0.46353 lineto
0.04613 0.46353 lineto
0.04737 0.46353 lineto
0.04861 0.46353 lineto
0.04985 0.46353 lineto
0.05109 0.46353 lineto
0.05233 0.46353 lineto
0.05357 0.46353 lineto
0.05481 0.46353 lineto
0.05605 0.46353 lineto
0.05729 0.46353 lineto
0.05853 0.46353 lineto
0.06101 0.46353 lineto
0.06225 0.46353 lineto
0.06349 0.46353 lineto
0.06473 0.46353 lineto
0.06597 0.46353 lineto
0.06845 0.46353 lineto
0.06969 0.46353 lineto
0.07093 0.46353 lineto
0.07341 0.46353 lineto
0.07589 0.46353 lineto
0.07837 0.46352 lineto
0.08085 0.46352 lineto
0.08333 0.46352 lineto
0.08581 0.46352 lineto
0.08829 0.46352 lineto
0.09077 0.46352 lineto
0.09325 0.46352 lineto
0.09573 0.46352 lineto
0.09821 0.46352 lineto
0.10069 0.46351 lineto
0.10317 0.46351 lineto
Mistroke
0.10565 0.46351 lineto
0.10813 0.4635 lineto
0.1131 0.46349 lineto
0.11558 0.46348 lineto
0.11806 0.46347 lineto
0.12302 0.46344 lineto
0.12798 0.4634 lineto
0.13294 0.46334 lineto
0.1379 0.46327 lineto
0.14286 0.46316 lineto
0.14782 0.46302 lineto
0.15278 0.46284 lineto
0.15774 0.4626 lineto
0.1627 0.4623 lineto
0.16766 0.46191 lineto
0.17262 0.46142 lineto
0.17758 0.46081 lineto
0.18254 0.46007 lineto
0.19246 0.45808 lineto
0.20238 0.45529 lineto
0.2123 0.45155 lineto
0.22222 0.44679 lineto
0.24206 0.43435 lineto
0.2619 0.41891 lineto
0.30159 0.3845 lineto
0.34127 0.35081 lineto
0.38095 0.31992 lineto
0.42063 0.2919 lineto
0.46032 0.26643 lineto
0.5 0.24312 lineto
0.53968 0.22166 lineto
0.57937 0.20178 lineto
0.61905 0.18327 lineto
0.65873 0.16595 lineto
0.69841 0.14968 lineto
0.7381 0.13433 lineto
0.77778 0.11982 lineto
0.81746 0.10606 lineto
0.85714 0.09296 lineto
0.89683 0.08047 lineto
0.93651 0.06854 lineto
0.97619 0.05712 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.00952 0.30807 0.00164 [
[(Phase Response \(degrees\))] 0.5 0.62428 0 -1 Msboxa
[(20)] 0.21429 0.29557 0 1 Msboxa
[(40)] 0.40476 0.29557 0 1 Msboxa
[(60)] 0.59524 0.29557 0 1 Msboxa
[(80)] 0.78571 0.29557 0 1 Msboxa
[(100)] 0.97619 0.29557 0 1 Msboxa
[(w)] 1.00625 0.30807 -1 0 Msboxa
[(-150)] 0.01131 0.06196 1 0 Msboxa
[(-100)] 0.01131 0.14399 1 0 Msboxa
[(-50)] 0.01131 0.22603 1 0 Msboxa
[(50)] 0.01131 0.39011 1 0 Msboxa
[(100)] 0.01131 0.47214 1 0 Msboxa
[(150)] 0.01131 0.55418 1 0 Msboxa
[( )] 0.02381 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Phase Response \(degrees\))] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.30807 moveto
1 0.30807 lineto
stroke
0.21429 0.30182 moveto
0.21429 0.31432 lineto
stroke
0 setgray
[(20)] 0.21429 0.29557 0 1 Mshowa
0.40476 0.30182 moveto
0.40476 0.31432 lineto
stroke
0 setgray
[(40)] 0.40476 0.29557 0 1 Mshowa
0.59524 0.30182 moveto
0.59524 0.31432 lineto
stroke
0 setgray
[(60)] 0.59524 0.29557 0 1 Mshowa
0.78571 0.30182 moveto
0.78571 0.31432 lineto
stroke
0 setgray
[(80)] 0.78571 0.29557 0 1 Mshowa
0.97619 0.30182 moveto
0.97619 0.31432 lineto
stroke
0 setgray
[(100)] 0.97619 0.29557 0 1 Mshowa
0 setgray
[(w)] 1.00625 0.30807 -1 0 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.06196 moveto
0.03006 0.06196 lineto
stroke
0 setgray
[(-150)] 0.01131 0.06196 1 0 Mshowa
0.01756 0.14399 moveto
0.03006 0.14399 lineto
stroke
0 setgray
[(-100)] 0.01131 0.14399 1 0 Mshowa
0.01756 0.22603 moveto
0.03006 0.22603 lineto
stroke
0 setgray
[(-50)] 0.01131 0.22603 1 0 Mshowa
0.01756 0.39011 moveto
0.03006 0.39011 lineto
stroke
0 setgray
[(50)] 0.01131 0.39011 1 0 Mshowa
0.01756 0.47214 moveto
0.03006 0.47214 lineto
stroke
0 setgray
[(100)] 0.01131 0.47214 1 0 Mshowa
0.01756 0.55418 moveto
0.03006 0.55418 lineto
stroke
0 setgray
[(150)] 0.01131 0.55418 1 0 Mshowa
0 setgray
[( )] 0.02381 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.30807 moveto
0.06349 0.26131 lineto
0.10317 0.21298 lineto
0.14286 0.16059 lineto
0.18254 0.10009 lineto
0.20238 0.06625 lineto
0.2123 0.04887 lineto
0.22222 0.03158 lineto
0.22718 0.02307 lineto
0.22966 0.01887 lineto
0.2309 0.01679 lineto
0.23214 0.01472 lineto
0.23338 0.60332 lineto
0.23462 0.60127 lineto
0.2371 0.59721 lineto
0.24206 0.58926 lineto
0.2619 0.56006 lineto
0.28175 0.53539 lineto
0.30159 0.51491 lineto
0.34127 0.48362 lineto
0.38095 0.46102 lineto
0.42063 0.4439 lineto
0.46032 0.43042 lineto
0.5 0.41947 lineto
0.53968 0.41039 lineto
0.57937 0.40272 lineto
0.61905 0.39615 lineto
0.65873 0.39045 lineto
0.69841 0.38545 lineto
0.7381 0.38103 lineto
0.77778 0.3771 lineto
0.81746 0.37357 lineto
0.85714 0.37039 lineto
0.89683 0.36751 lineto
0.93651 0.36489 lineto
0.97619 0.36248 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
{Graphics[{{Line[{{0., -(9.64327466553287*10^-16)}, 
       {0.1302083333333333, 0.}, 
       {0.2604166666666667, 
        -(9.64327466553287*10^-16)}, 
       {0.390625, -(4.243040852834473*10^-14)}, 
       {0.5208333333333334, 
        -(4.300900500827766*10^-13)}, 
       {0.6510416666666667, 
        -(2.554503458900033*10^-12)}, 
       {0.78125, -(1.098272551658233*10^-11)}, 
       {0.911458333333333, 
        -(3.769652499511635*10^-11)}, 
       {1.041666666666667, 
        -(1.097067142331275*10^-10)}, 
       {1.171875, -(2.814842945090659*10^-10)}, 
       {1.302083333333333, 
        -(6.539046691295987*10^-10)}, 
       {1.432291666666667, -(1.401699153449097*10^-9)}, 
       {1.5625, -(2.811661629187963*10^-9)}, 
       {1.692708333333333, -(5.33408577176804*10^-9)}, 
       {1.822916666666667, -(9.6502255432726*10^-9)}, 
       {1.953125, -(1.675881079716774*10^-8)}, 
       {2.083333333333333, -(2.808490442399607*10^-8)}, 
       {2.213541666666667, -(4.561466423039656*10^-8)}, 
       {2.34375, -(7.205981672072245*10^-8)}, 
       {2.473958333333333, -(1.110559691464714*10^-7)}, 
       {2.604166666666667, -(1.673990771314735*10^-7)}, 
       {2.734375, -(2.473246754528456*10^-7)}, 
       {2.864583333333333, -(3.588347823714419*10^-7)}, 
       {2.994791666666667, -(5.120775865798201*10^-7)}, 
       {3.125, -(7.197853498840106*10^-7)}, 
       {3.255208333333333, -(9.97776162258849*10^-7)}, 
       {3.385416666666667, -0.000001365525515789447}, 
       {3.515625, -0.000001846813859873442}, 
       {3.645833333333333, -0.000002470456616503237}, 
       {3.90625, -0.000004290253236625378}, 
       {4.036458333333334, -0.00000557707360561725}, 
       {4.166666666666667, -0.000007189729837865325}, 
       {4.296875, -0.00000919653363740319}, 
       {4.427083333333334, -0.0000116773381586722}, 
       {4.6875, -0.00001844727356587346}, 
       {4.817708333333334, -0.00002296813586934091}, 
       {4.947916666666667, -0.0000284302354160196}, 
       {5.208333333333334, -0.00004285395333946428}, 
       {5.46875, -0.00006331465750163}, 
       {5.729166666666667, -0.0000918607365493948}, 
       {5.989583333333334, -0.000131089891320037}, 
       {6.25, -0.0001842611555394739}, 
       {6.510416666666667, -0.0002554232155275542}, 
       {6.770833333333334, -0.0003495605189402058}, 
       {7.03125, -0.0004727587164994111}, 
       {7.291666666666667, -0.0006323910291687686}, 
       {7.552083333333334, -0.000837327174447657}, 
       {7.8125, -0.001098166517207317}, 
       {8.07291666666667, -0.001427497129607831}, 
       {8.33333333333333, -0.001840182447855589}, 
       {8.59375, -0.002353677196032369}, 
       {8.85416666666667, -0.002988374203798711}, 
       {9.375, -0.004719946296157031}, 
       {9.63541666666667, -0.005875881586674517}, 
       {9.89583333333333, -0.007272072305208329}, 
       {10.41666666666667, -0.0109568330310808}, 
       {10.9375, -0.01617849864633785}, 
       {11.45833333333333, -0.02345315620707671}, 
       {11.97916666666667, -0.03343051946750253}, 
       {12.5, -0.04691751280979623}, 
       {13.02083333333333, -0.06490287265224987}, 
       {13.54166666666667, -0.0885815374598569}, 
       {14.0625, -0.1193769906057637}, 
       {14.58333333333333, -0.1589589898506859}, 
       {15.10416666666667, -0.2092533135228149}, 
       {15.625, -0.2724393875308502}, 
       {16.14583333333334, -0.3509311198492313}, 
       {16.66666666666667, -0.4473362363082883}, 
       {17.70833333333334, -0.7048629196643788}, 
       {18.75, -1.066579422977551}, 
       {19.79166666666667, -1.55038294494502}, 
       {20.83333333333334, -2.166089062996311}, 
       {22.91666666666667, -3.777093051719796}, 
       {25., -5.775608067636306}, 
       {29.16666666666667, -10.22989565302369}, 
       {33.33333333333334, -14.59009973298618}, 
       {37.5, -18.58920517873301}, 
       {41.66666666666667, -22.2154407506314}, 
       {45.83333333333334, -25.51292190522114}, 
       {50., -28.52988266565831}, 
       {54.16666666666667, -31.30796913865475}, 
       {58.33333333333334, -33.88130627707812}, 
       {62.50000000000001, -36.27761039016486}, 
       {66.66666666666667, -38.51949556232383}, 
       {70.83333333333334, -40.62557595749191}, 
       {75., -42.61132465312718}, 
       {79.16666666666667, -44.48972873463467}, 
       {83.3333333333333, -46.27178832368528}, 
       {87.5, -47.96689913421687}, 
       {91.6666666666667, -49.58314846790995}, 
       {95.8333333333333, -51.12754657766277}, 
       {100., -52.60620936644717}}]}}, 
   {PlotRange -> Automatic, 
    AspectRatio -> GoldenRatio^(-1), 
    DisplayFunction -> Identity, 
    PlotColor -> Automatic, Axes -> Automatic, 
    PlotLabel -> None, AxesLabel -> None, 
    Ticks -> Automatic, Framed -> False, Prolog -> {}, 
    Epilog -> {}, AxesStyle -> {}, 
    Background -> Automatic, DefaultColor -> Automatic}]
   , Graphics[{{Line[{{0., 0.}, 
       {4.166666666666667, -28.49990856556255}, 
       {8.33333333333333, -57.95386685185316}, 
       {12.5, -89.8856243159781}, 
       {16.66666666666667, -126.7606711103178}, 
       {18.75, -147.3855233529654}, 
       {19.79166666666667, -157.9768308480074}, 
       {20.83333333333334, -168.5155581201708}, 
       {21.35416666666667, -173.6998499390056}, 
       {21.61458333333334, -176.259523126013}, 
       {21.74479166666667, -177.5299294639054}, 
       {21.875, -178.793575720311}, 
       {22.00520833333334, 179.9498786662376}, 
       {22.13541666666667, 178.700761883017}, 
       {22.39583333333334, 176.2260619035217}, 
       {22.91666666666667, 171.3787401758882}, 
       {25., 153.5824947896394}, 
       {27.08333333333334, 138.5466329868608}, 
       {29.16666666666667, 126.0669225218068}, 
       {33.33333333333334, 106.9938559080811}, 
       {37.5, 93.2242937238403}, 
       {41.66666666666667, 82.7895665524799}, 
       {45.83333333333334, 74.56917683905063}, 
       {50., 67.89995181150334}, 
       {54.16666666666667, 62.36556833986922}, 
       {58.33333333333334, 57.69030790178747}, 
       {62.50000000000001, 53.68332580594596}, 
       {66.66666666666667, 50.20770706112258}, 
       {70.83333333333334, 47.16231274999164}, 
       {75., 44.47060253298343}, 
       {79.16666666666667, 42.07346274224197}, 
       {83.3333333333333, 39.92444088124741}, 
       {87.5, 37.98648348448841}, 
       {91.6666666666667, 36.22964537830778}, 
       {95.8333333333333, 34.62944517370985}, 
       {100., 33.16566170062674}}]}}, 
   {PlotRange -> All, AspectRatio -> GoldenRatio^(-1), 
    DisplayFunction -> (Display[$Display, #1] & ), 
    PlotColor -> Automatic, Axes -> Automatic, 
    PlotLabel -> "Phase Response (degrees)", 
    AxesLabel -> {"w", " "}, Ticks -> Automatic, 
    Framed -> False, Prolog -> {}, Epilog -> {}, 
    AxesStyle -> {}, Background -> Automatic, 
    DefaultColor -> Automatic}]}
;[o]
{-Graphics-, -Graphics-}
:[font = text; inactive; preserveAspect; ]
From the Fourier transform, you can check the filter to see if it meets specifications:
:[font = input; preserveAspect; startGroup; ]
20 Log[10, Abs[bfiltertrans /. w -> 20]]
:[font = output; output; inactive; preserveAspect; endGroup; ]
-1.662842529124097
;[o]
-1.66284
:[font = input; preserveAspect; startGroup; ]
20 Log[10, Abs[bfiltertrans /. w -> 30]]
:[font = output; output; inactive; preserveAspect; endGroup; ]
-11.12473416925727
;[o]
-11.1247
:[font = text; inactive; preserveAspect; ]
     You can also compute a filter's Laplace transform:
:[font = input; preserveAspect; startGroup; ]
butterLtrans = LaPlace[ butter4, t, s ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
LTransData[234256/
   ((22*(-1)^(1/8) + s)*(22*(-1)^(3/8) + s)*
     (22*(-1)^(13/8) + s)*(22*(-1)^(15/8) + s)
     ), Rminus[-8.41903551203197], 
  Rplus[DirectedInfinity[1]], LVariables[s]]
;[o]
LTransData[234256 / 
 
            1/8              3/8
   ((22 (-1)    + s) (22 (-1)    + s) 
 
             13/8              15/8
     (22 (-1)     + s) (22 (-1)     + s)), 
 
  Rminus[-8.41904], Rplus[Infinity], 
 
  LVariables[s]]
:[font = text; inactive; preserveAspect; ]
You can pass the result of a Laplace or z-transform directly to PoleZeroPlot:  PoleZeroPlot will shade the region of convergence.  The following pole-zero plot has an origin (-10, 0) and the region of convergence (ROC) is shaded.
;[s]
3:0,0;64,1;76,2;229,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
PoleZeroPlot[ butterLtrans ]
:[font = print; inactive; preserveAspect; ]
The zeroes are:  {}
The poles are:   {-8.41904 + 20.3253 I, 
 
   -20.3253 + 8.41904 I, -20.3253 - 8.41904 I, 
 
   -8.41904 - 20.3253 I}
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
1.330722 0.052377 0.309017 0.012163 [
[(-25)] 0.0213 0.30902 0 2 Msboxa
[(-22.5)] 0.15224 0.30902 0 2 Msboxa
[(-20)] 0.28319 0.30902 0 2 Msboxa
[(-17.5)] 0.41413 0.30902 0 2 Msboxa
[(-15)] 0.54507 0.30902 0 2 Msboxa
[(-12.5)] 0.67601 0.30902 0 2 Msboxa
[(-10)] 0.80695 0.30902 0 2 Msboxa
[(-7.5)] 0.9379 0.30902 0 2 Msboxa
[(Re s)] 1.025 0.30902 -1 0 Msboxa
[(-20)] 0.84683 0.06576 1 0 Msboxa
[(-10)] 0.84683 0.18739 1 0 Msboxa
[(10)] 0.84683 0.43065 1 0 Msboxa
[(20)] 0.84683 0.55227 1 0 Msboxa
[(Im s)] 0.85933 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.0213 0.30902 moveto
0.0213 0.31527 lineto
stroke
grestore
[(-25)] 0.0213 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.15224 0.30902 moveto
0.15224 0.31527 lineto
stroke
grestore
[(-22.5)] 0.15224 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.28319 0.30902 moveto
0.28319 0.31527 lineto
stroke
grestore
[(-20)] 0.28319 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.41413 0.30902 moveto
0.41413 0.31527 lineto
stroke
grestore
[(-17.5)] 0.41413 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.54507 0.30902 moveto
0.54507 0.31527 lineto
stroke
grestore
[(-15)] 0.54507 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.67601 0.30902 moveto
0.67601 0.31527 lineto
stroke
grestore
[(-12.5)] 0.67601 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.80695 0.30902 moveto
0.80695 0.31527 lineto
stroke
grestore
[(-10)] 0.80695 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.9379 0.30902 moveto
0.9379 0.31527 lineto
stroke
grestore
[(-7.5)] 0.9379 0.30902 0 2 Mshowa
gsave
0.001 setlinewidth
0.04749 0.30902 moveto
0.04749 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07368 0.30902 moveto
0.07368 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09987 0.30902 moveto
0.09987 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.12605 0.30902 moveto
0.12605 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17843 0.30902 moveto
0.17843 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20462 0.30902 moveto
0.20462 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23081 0.30902 moveto
0.23081 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.257 0.30902 moveto
0.257 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30937 0.30902 moveto
0.30937 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.33556 0.30902 moveto
0.33556 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36175 0.30902 moveto
0.36175 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38794 0.30902 moveto
0.38794 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44032 0.30902 moveto
0.44032 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.4665 0.30902 moveto
0.4665 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.49269 0.30902 moveto
0.49269 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51888 0.30902 moveto
0.51888 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.57126 0.30902 moveto
0.57126 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59745 0.30902 moveto
0.59745 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62363 0.30902 moveto
0.62363 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.64982 0.30902 moveto
0.64982 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7022 0.30902 moveto
0.7022 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72839 0.30902 moveto
0.72839 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75458 0.30902 moveto
0.75458 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78077 0.30902 moveto
0.78077 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83314 0.30902 moveto
0.83314 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88552 0.30902 moveto
0.88552 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91171 0.30902 moveto
0.91171 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.96408 0.30902 moveto
0.96408 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99027 0.30902 moveto
0.99027 0.31277 lineto
stroke
grestore
[(Re s)] 1.025 0.30902 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.85933 0.06576 moveto
0.86558 0.06576 lineto
stroke
grestore
[(-20)] 0.84683 0.06576 1 0 Mshowa
gsave
0.002 setlinewidth
0.85933 0.18739 moveto
0.86558 0.18739 lineto
stroke
grestore
[(-10)] 0.84683 0.18739 1 0 Mshowa
gsave
0.002 setlinewidth
0.85933 0.43065 moveto
0.86558 0.43065 lineto
stroke
grestore
[(10)] 0.84683 0.43065 1 0 Mshowa
gsave
0.002 setlinewidth
0.85933 0.55227 moveto
0.86558 0.55227 lineto
stroke
grestore
[(20)] 0.84683 0.55227 1 0 Mshowa
gsave
0.001 setlinewidth
0.85933 0.09009 moveto
0.86308 0.09009 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.11441 moveto
0.86308 0.11441 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.13874 moveto
0.86308 0.13874 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.16306 moveto
0.86308 0.16306 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.21171 moveto
0.86308 0.21171 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.23604 moveto
0.86308 0.23604 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.26037 moveto
0.86308 0.26037 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.28469 moveto
0.86308 0.28469 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.33334 moveto
0.86308 0.33334 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.35767 moveto
0.86308 0.35767 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.38199 moveto
0.86308 0.38199 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.40632 moveto
0.86308 0.40632 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.45497 moveto
0.86308 0.45497 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.4793 moveto
0.86308 0.4793 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.50362 moveto
0.86308 0.50362 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.52795 moveto
0.86308 0.52795 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.04143 moveto
0.86308 0.04143 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.01711 moveto
0.86308 0.01711 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.5766 moveto
0.86308 0.5766 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85933 0.60092 moveto
0.86308 0.60092 lineto
stroke
grestore
[(Im s)] 0.85933 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.85933 0 moveto
0.85933 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
0.88976 0 moveto
0.88976 0.61803 lineto
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0 moveto
0 0 rlineto
stroke
0.97244 0 moveto
1 0.0412 lineto
stroke
1 0.0412 moveto
0 0 rlineto
stroke
0.94488 0 moveto
1 0.0824 lineto
stroke
1 0.0824 moveto
0 0 rlineto
stroke
0.91732 0 moveto
1 0.12361 lineto
stroke
1 0.12361 moveto
0 0 rlineto
stroke
0.88976 0 moveto
1 0.16481 lineto
stroke
1 0.16481 moveto
0 0 rlineto
0.88976 0.0412 moveto
1 0.20601 lineto
stroke
0.88976 0.0824 moveto
1 0.24721 lineto
stroke
0.88976 0.12361 moveto
1 0.28842 lineto
stroke
0.88976 0.16481 moveto
1 0.32962 lineto
stroke
0.88976 0.20601 moveto
1 0.37082 lineto
stroke
0.88976 0.24721 moveto
1 0.41202 lineto
stroke
0.88976 0.28842 moveto
1 0.45322 lineto
stroke
0.88976 0.32962 moveto
1 0.49443 lineto
stroke
0.88976 0.37082 moveto
1 0.53563 lineto
stroke
0.88976 0.41202 moveto
1 0.57683 lineto
stroke
0.88976 0.45322 moveto
1 0.61803 lineto
stroke
0.88976 0.49443 moveto
0 0 rlineto
0.97244 0.61803 moveto
0.88976 0.49443 lineto
stroke
stroke
0.88976 0.53563 moveto
0 0 rlineto
0.94488 0.61803 moveto
0.88976 0.53563 lineto
stroke
stroke
0.88976 0.57683 moveto
0 0 rlineto
0.91732 0.61803 moveto
0.88976 0.57683 lineto
stroke
stroke
0.88976 0.61803 moveto
0 0 rlineto
0.88976 0.61803 moveto
0.88976 0.61803 lineto
stroke
stroke
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.26614 0.41142 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.26614 0.20662 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.88976 0.55623 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.88976 0.0618 0 0 Mshowa
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
{-8.41903551203198 + 20.32534971524832*I, 
  -20.32534971524833 + 8.41903551203198*I, 
  -20.32534971524831 - 8.41903551203198*I, 
  -8.41903551203198 - 20.32534971524831*I}
;[o]
{-8.41904 + 20.3253 I, -20.3253 + 8.41904 I, 
 
  -20.3253 - 8.41904 I, -8.41904 - 20.3253 I}
:[font = text; inactive; preserveAspect; endGroup; ]
     But in Mathematica, you do not have to limit yourself to filters with numeric coefficients.  You can take Fourier and Laplace transforms of filters whose coefficients or roots are variables, like a1, a2, etc.
;[s]
7:0,0;12,1;23,2;201,3;203,4;205,5;207,6;214,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Designing Digital Filters From Analog Prototypes
:[font = text; inactive; preserveAspect; ]
     Once an analog filter has been designed, the filter can be transformed into a digital filter.  A common approach is to map the Laplace transform of the filter's impulse response to the z-transform and take the inverse z-transform to find the coefficients of the digital filter.  This transformation is not unique.  Three common transformation techniques follow.  The first two rely on the sampling period of the digital system T.
:[font = subsection; inactive; preserveAspect; startGroup; ]
Impulse Invariance
:[font = text; inactive; preserveAspect; ]
     In this technique, the impulse response of the analog filter is approximated digitally.  For an analog filter consisting of single poles, this technique maps each analog pole sk to the digital pole exp(sk T).  The poles of a filter can be obtained by a partial fractions decomposition, Apart in Mathematica:
;[s]
9:0,0;181,1;182,2;208,3;209,4;291,5;296,6;300,7;311,8;313,-1;
9:1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
partFrac =
  Apart[ s / (s^3 + 9s^2/2 + 13s/2 + 3), s ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
-2/(1 + s) - 4/(2 + s) + 12/(3 + 2*s)
;[o]
 -2       4       12
----- - ----- + -------
1 + s   2 + s   3 + 2 s
:[font = text; inactive; preserveAspect; ]
Sometimes, Apart does not always reduce denominators to their simplest forms, so the signal processing packages introduce a routine called MyApart.  We can now write a simple rule to transform the partial fractions expansion of the filter in the s-domain to the z-domain:
;[s]
5:0,0;11,1;16,2;139,3;146,4;271,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
impInvarianceRule =
  ( a_. / (b_. s + c_.) :>
    (a/b) / ( 1 - Exp[(c/b) T] z^(-1) ) ); 
digitalFilter = partFrac /. impInvarianceRule 
:[font = output; output; inactive; preserveAspect; endGroup; ]
-2/(1 - E^T/z) + 6/(1 - E^((3*T)/2)/z) - 
  4/(1 - E^(2*T)/z)
;[o]
  -2          6            4
------ + ------------ - --------
     T        (3 T)/2        2 T
    E        E              E
1 - --   1 - --------   1 - ----
    z           z            z
:[font = text; inactive; preserveAspect; ]
A rule in Mathematica has an if ... then form.  We have written the above impInvarianceRule to map a / (b s + c) for non-zero constants a and b (1 is included because of the _. pattern) and for constant c (zero is included because of the _. pattern) from s-domain to z-domain.  Remember that the /. operation applies a rule or list of rules to every part of an expression.  We can put the z-transform of the digital filter into a ratio of two polynomials:
;[s]
22:0,0;10,1;21,2;74,3;91,4;99,5;113,6;136,7;137,8;142,9;143,10;174,11;176,12;203,13;205,14;238,15;240,16;296,17;298,18;373,19;389,20;390,21;456,-1;
22:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,11,9,Courier,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
polyRatio = Together[ digitalFilter ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
(2*(2*E^((5*T)/2)*z - 3*E^(3*T)*z + 
      E^((7*T)/2)*z + E^T*z^2 - 
      3*E^((3*T)/2)*z^2 + 2*E^(2*T)*z^2))/
  ((E^T - z)*(E^((3*T)/2) - z)*(E^(2*T) - z))
;[o]
       (5 T)/2        3 T      (7 T)/2
(2 (2 E        z - 3 E    z + E        z + 
 
       T  2      (3 T)/2  2      2 T  2
      E  z  - 3 E        z  + 2 E    z )) / 
 
     T        (3 T)/2        2 T
  ((E  - z) (E        - z) (E    - z))
:[font = text; inactive; preserveAspect; ]
We can read the feedback coefficients right off of the denominator:
:[font = input; preserveAspect; startGroup; ]
CoefficientList[ Denominator[polyRatio], z ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{E^((9*T)/2), -E^((5*T)/2) - E^(3*T) - 
   E^((7*T)/2), E^T + E^((3*T)/2) + E^(2*T), 
  -1}
;[o]
  (9 T)/2    (5 T)/2    3 T    (7 T)/2
{E       , -E        - E    - E       , 
 
   T    (3 T)/2    2 T
  E  + E        + E   , -1}
:[font = text; inactive; preserveAspect; endGroup; ]
     The impulse invariance technique does introduce aliasing.  Therefore, it is used primarily in oversampled systems such as those found in controls.  For critically sampled systems, the bilinear transformation should be used. 
:[font = subsection; inactive; preserveAspect; startGroup; ]
First Derivative Approximation
:[font = text; inactive; preserveAspect; ]
     This technique uses a finite difference approximation of the first derivative of a function at a point:
:[font = print; inactive; preserveAspect; ]
         xn - xn-1             1 - z-1     
f'(xn) @ --------- ;  s X(s) @ ------- X(z)
             T                    T         
;[s]
13:0,0;10,1;11,2;15,3;21,4;36,5;43,6;48,7;49,8;51,9;52,10;73,11;74,12;133,-1;
13:1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,64,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,64,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,32,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,64,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
One map between the s-domain and the z-domain is the algebraic substitution 
:[font = print; inactive; locked; preserveAspect; center; ]
s = ( 1 - z-1 ) / T
;[s]
3:0,0;11,1;13,2;20,-1;
3:1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,32,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
In terms of Mathematica code, the rule is s -> ((1 - z^(-1) / T):
;[s]
5:0,0;12,1;23,2;42,3;64,4;65,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
s / ( s^3 + 9 s^2/2 + 13s/2 + 3 ) /.
    s -> (( 1 - z^(-1) ) / T)
:[font = output; output; inactive; preserveAspect; endGroup; ]
(1 - z^(-1))/
  (T*(3 + (13*(1 - z^(-1)))/(2*T) + 
      (9*(1 - z^(-1))^2)/(2*T^2) + 
      (1 - z^(-1))^3/T^3))
;[o]
                      1
                  1 - -
                      z
------------------------------------------
               1           1 2        1 3
       13 (1 - -)   9 (1 - -)    (1 - -)
               z           z          z
T (3 + ---------- + ---------- + --------)
          2 T             2          3
                       2 T          T
:[font = text; inactive; preserveAspect; endGroup; ]
We can expand the denominator and read the feedback coefficients directly.
:[font = subsection; inactive; preserveAspect; startGroup; ]
Bilinear Transformation
:[font = text; inactive; preserveAspect; ]
     Bilinear transformation maps an analog filter into a digital filter without introducing aliasing.  It relies on the algebraic substitution 
:[font = print; inactive; locked; preserveAspect; center; ]
      1 - z-1
s = K -------
      1 + z-1
;[s]
4:0,0;11,1;13,2;39,3;41,-1;
4:1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,32,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,11,9,Courier,32,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
for some constant K (in rad/sec).  K relates the mapping of one analog frequency W (in radians/sec) to one digital frequency w (in radians):
;[s]
5:0,0;81,1;82,2;125,3;126,4;140,-1;
5:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; center; ]
W = K tan(w/2)
;[s]
4:0,0;1,1;10,2;11,3;15,-1;
4:1,0,0,Symbol,0,14,0,0,0;1,11,9,Courier,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,11,9,Courier,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     The signal processing packages implement the bilinear transformation as BilinearTransformation.  One use of it is to calculate the unknown parameter using two known parameters from the set {K, W, w}.
;[s]
7:0,0;77,1;99,2;198,3;199,4;201,5;202,6;204,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Clear[k];      (* free parameter  *)
omega = 22;    (* rad/sec *)
w = Pi/4;      (* rad     *)
BilinearTransformation[omega, w, k];
k              (* rad/sec *)
:[font = output; output; inactive; preserveAspect; endGroup; ]
22*Cot[Pi/8]
;[o]
       Pi
22 Cot[--]
       8
:[font = text; inactive; preserveAspect; ]
The numeric value of k, obtained by evaluating N[k], is 53.1127 rad/sec.
;[s]
5:0,0;21,1;22,2;47,3;51,4;73,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Another use of BilinearTransformation is to design digital filters from analog prototypes.  The following example uses the previous values of K, W, and w (53.1127 rad/sec, 22 rad/sec, and p/4 rad, respectively) and the previously designed fourth-order Butterworth filter butter4:
;[s]
11:0,0;20,1;42,2;150,3;151,4;157,5;158,6;193,7;194,8;276,9;283,10;365,-1;
11:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
butter4digital =
  N[BilinearTransformation[omega,w,k,butter4]]
:[font = output; output; inactive; preserveAspect; endGroup; ]
(-1.*I*(1. + z)^4)/
  (-(8.88178419700125*10^-15) - 
     11.79194146679588*I + 
    (2.486899575160351*10^-14 + 
       70.9605947965143*I)*z + 
    (-(1.77635683940025*10^-15) - 
       170.0243866176395*I)*z^2 + 
    (-(2.486899575160351*10^-14) + 
       192.8039071913028*I)*z^3 + 
    (1.243449787580175*10^-14 - 
       97.9481739033817*I)*z^4)
;[o]
               4
(-1. I (1. + z) ) / 
 
              -15
  (-8.88178 10    - 11.7919 I + 
 
              -14
    (2.4869 10    + 70.9606 I) z + 
 
                -15               2
    (-1.77636 10    - 170.024 I) z  + 
 
               -14               3
    (-2.4869 10    + 192.804 I) z  + 
 
               -14               4
    (1.24345 10    - 97.9482 I) z )
:[font = text; inactive; preserveAspect; ]
Mathematica often returns expressions in an undesirable form.  In the above z-domain transfer function, the 10-14 and 10-15 are spurious terms arising from the floating point calculations during the bilinear transformation.  The Mathematica command Chop will remove terms smaller than 10-10:
;[s]
12:0,0;11,1;110,2;113,3;120,4;123,5;229,6;240,7;249,8;253,9;287,10;290,11;291,-1;
12:1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
butter4digital = Chop[ butter4digital ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
(-1.*I*(1. + z)^4)/
  (-11.79194146679588*I + 
    70.9605947965143*I*z - 
    170.0243866176395*I*z^2 + 
    192.8039071913028*I*z^3 - 
    97.9481739033817*I*z^4)
;[o]
               4
(-1. I (1. + z) ) / 
 
                                         2
  (-11.7919 I + 70.9606 I z - 170.024 I z  + 
 
               3              4
    192.804 I z  - 97.9482 I z )
:[font = text; inactive; preserveAspect; ]
Now,  there is an I term that can be removed from the numerator and denominator.  Simplify will not do it.  Cancel cancels terms appearing as factors of the numerator and denominator.
;[s]
7:0,0;18,1;19,2;82,3;90,4;108,5;114,6;183,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Cancel[ butter4digital ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
(0.01020948079120313*(1. + z)^4)/
  (0.1203895998962442 - 0.7244708295073619*z + 
    1.735860709208885*z^2 - 
    1.968427786938517*z^3 + 1.*z^4)
;[o]
                   4
(0.0102095 (1. + z) ) / 
 
                                   2
  (0.12039 - 0.724471 z + 1.73586 z  - 
 
             3       4
    1.96843 z  + 1. z )
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
To get the impulse response of the filter, you can pass the transfer function to InvZTransform which is discussed below.  You can read the feedback coefficients of the filter from the coefficients in the denominator.
;[s]
3:0,0;81,1;94,2;216,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; preserveAspect; startGroup; ]
Z-Transforms
:[font = text; inactive; preserveAspect; ]
     The signal processing packages implement the forward and inverse z-transform, e.g. the forward z-transform of a discrete step function is
:[font = input; preserveAspect; startGroup; ]
ZTransform[ Step[n], n, z ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
ZTransData[(1 - z^(-1))^(-1), Rminus[1], 
  Rplus[DirectedInfinity[1]], ZVariables[z]]
;[o]
             1
ZTransData[-----, Rminus[1], Rplus[Infinity], 
               1
           1 - -
               z
 
  ZVariables[z]]
:[font = text; inactive; preserveAspect; ]
is 1 / (1 - z-1) with region of convergence |z| > 1.  Like the forward Fourier and Laplace transform routines, the forward z-transform routines returns a data structure.   The first field is the z-transform function.  The second and third fields are the lower and upper limits of the region of convergence.  The fourth field captures the z-transform variable(s).
;[s]
9:0,0;13,1;15,2;44,3;45,4;46,5;47,6;154,7;168,8;362,-1;
9:1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,16,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,16,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     Like the Fourier and Laplace transform routines, the z-transform routines can show the intermediate calculations
:[font = input; preserveAspect; startGroup; ]
ZTransform[ a^n Step[n], n, z,
            Dialogue -> All ]
:[font = print; inactive; preserveAspect; ]
     n
Z  {a  Step[n]}
  n
which becomes
{Z  {Step[n]}}
   n          z -> z/a and scale ROC 
which becomes
            1
Transform[-----, Abs[a], Infinity]
              a
          1 - -
              z
which becomes
:[font = output; output; inactive; preserveAspect; endGroup; ]
ZTransData[(1 - a/z)^(-1), Rminus[Abs[a]], 
  Rplus[DirectedInfinity[1]], ZVariables[z]]
;[o]
             1
ZTransData[-----, Rminus[Abs[a]], 
               a
           1 - -
               z
 
  Rplus[Infinity], ZVariables[z]]
:[font = text; inactive; preserveAspect; ]
 and can accept new transform pairs
:[font = input; preserveAspect; startGroup; ]
ZTransform[ a^n x[n], n, z,
     TransformLookup -> { x[n] :> X[z] } ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
ZTransData[X[z/a], Rminus[0], 
  Rplus[DirectedInfinity[1]], ZVariables[z]]
;[o]
             z
ZTransData[X[-], Rminus[0], Rplus[Infinity], 
             a
 
  ZVariables[z]]
:[font = text; inactive; preserveAspect; ]
     The result of a z-transform can be passed directly to Stable to check the stability of the signal:
;[s]
3:0,0;59,1;65,2;104,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Stable[ ZTransform[ a^n Step[n], n, z ] ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
Abs[a] < 1
;[o]
Abs[a] < 1
:[font = text; inactive; preserveAspect; ]
     The z-transform also handles non-causal sequences:
:[font = input; preserveAspect; startGroup; ]
H[z] = ZTransform[ 2^n Step[-1 - n], n, z ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
ZTransData[z/(2 - z), Rminus[0], Rplus[2], 
  ZVariables[z]]
;[o]
             z
ZTransData[-----, Rminus[0], Rplus[2], 
           2 - z
 
  ZVariables[z]]
:[font = input; preserveAspect; startGroup; ]
InvZTransform[ H[z] ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
2^n*Step[-1 - n]
;[o]
 n
2  Step[-1 - n]
:[font = text; inactive; preserveAspect; ]
In this case, the inverse z-transform uses the region of convergence (ROC) information embedded in the z-transform data structure set to H[z] to determine that the inverse is anti-causal.  You can specify your own region of convergence as a list:
;[s]
3:0,0;137,1;141,2;247,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
InvZTransform[ {z/(2-z), 2, Infinity}, z, n ]
:[font = text; inactive; preserveAspect; endGroup; ]
Here, the inverse transform would not be stable because the ROC does not contain the unit circle.
:[font = section; inactive; preserveAspect; startGroup; ]
Pole-Zero Diagrams of Z- and Laplace Transforms
:[font = text; inactive; preserveAspect; ]
     The pole-zero routine, PoleZeroPlot, is quite versatile because it can generate z-domain and s-domain pole-zero diagrams for 1-D and 2-D systems (an example is given in the first section and the ``Intro'' Notebook).  You can pass the result of a z- or Laplace transform directly to PoleZeroPlot:
;[s]
5:0,0;28,1;40,2;287,3;299,4;300,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; startGroup; ]
x[n] = (1/2)^n Step[n] + n (4/5)^n Step[n];
X[z] = ZTransform[ x[n], n, z ];
PoleZeroPlot[ X[z] ]
:[font = print; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; ]
The zeroes are:  {0, 0.4 + 0.282843 I, 
 
   0.4 - 0.282843 I}
The poles are:   {0.5, 0.8, 0.8}
:[font = postscript; PostScript; formatAsPostScript; output; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; pictureLeft = 34; pictureWidth = 253; pictureHeight = 253; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.5 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.66 0.38686 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.66 0.61314 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.7 0.5 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(*X*)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; preserveAspect; ]
Note the double pole at z = 4/5 which is denoted by *X*.  The single pole at z = 1/2 is simply marked by X.  PoleZeroPlot shades the region of convergence which it determines from the z-transform data structure.  Before displaying the pole-zero diagram, PoleZeroPlot lists the zeroes and poles.  This can be suppressed by using the option Dialogue -> False.
;[s]
9:0,0;52,1;55,2;105,3;106,4;109,5;121,6;339,7;356,8;358,-1;
9:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     PoleZeroPlot must always be given a valid region of convergence, i.e. no poles can lie in it.  When this is not the case, PoleZeroPlot will generate an error message, but it will also list the possible regions of convergence:
;[s]
5:0,0;5,1;17,2;127,3;139,4;230,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; startGroup; ]
PoleZeroPlot[ 1/(z-1), z, 1/2, 2, True ]
:[font = print; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; ]
The zeroes are:  {}
The poles are:   {1.}
:[font = message; inactive; dontNoPageBreakInGroup; preserveAspect; ]
PoleZeroPlot::invalidROC: 
   The poles {1.} are inside the specified
                            1
     region of convergence {-, 2}.
                            2
:[font = print; inactive; dontNoPageBreakInGroup; noKeepOnOnePage; preserveAspect; endGroup; endGroup; ]
Possible Regions of Convergence are: 
 
  {{0, 1}, {1, Infinity}}
:[font = section; inactive; preserveAspect; startGroup; ]
General Signal Analysis
:[font = text; inactive; preserveAspect; ]
     We have written two routines to combine common analysis techniques applied in both the discrete-time and continuous-time domains.  ASPAnalyze analyzes a one- or two-dimensional analog signal
;[s]
3:0,0;136,1;146,2;195,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
by plotting its time response
:[font = print; inactive; wordwrap; preserveAspect; blackDot; fontName = "Times"; ]
if it has a bilateral Laplace transform,
--  by printing the bilateral Laplace transform
--  by analyzing its stability based on the region of convergence
--  by displaying the poles and zeroes
:[font = print; inactive; wordwrap; preserveAspect; blackDot; fontName = "Times"; ]
if it has a Fourier transform,
--  by printing its Fourier transform
--  by plotting its magnitude and phase frequency response
:[font = text; inactive; preserveAspect; ]
Its discrete-time counterpart, DSPAnalyze, analyzes a one- or two-dimensional digital signal
;[s]
3:0,0;31,1;42,2;92,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; preserveAspect; blackDot; fontName = "Times"; ]
by plotting its time response
:[font = print; inactive; wordwrap; preserveAspect; blackDot; fontName = "Times"; ]
if it has a bilateral z-transform,
--  by printing the bilateral z-transform
--  by analyzing its stability based on the region of convergence
--  by displaying the poles and zeroes
:[font = print; inactive; wordwrap; preserveAspect; blackDot; fontName = "Times"; endGroup; endGroup; ]
if it has a discrete-time Fourier transform,
--  by printing its discrete-time Fourier transform
--  by plotting its magnitude and phase frequency response
^*)